Debian Bug report logs - #701744
[xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Ingo Juergensmann <ij@2013.bluespice.org>

Date: Tue, 26 Feb 2013 17:45:02 UTC

Severity: critical

Found in versions linux-2.6/2.6.32-48, linux/3.2.41-2+deb7u2

Fixed in versions linux/3.2.46-1+deb7u1, linux-2.6/2.6.32-48squeeze4

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Tue, 26 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Juergensmann <ij@2013.bluespice.org>:
New Bug report received and forwarded. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 26 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ingo Juergensmann <ij@2013.bluespice.org>
To: submit@bugs.debian.org
Subject: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Tue, 26 Feb 2013 18:42:11 +0100
Package: xen
Version: 4.0.1-5.5
Severity: critical

--- Please enter the report below this line. ---

Hi!

Since the update last weekind in stable/squeeze I'm experiencing 
problems with running Xen on amd64 and multiple domUs losing their 
network connection/VIFs.

From 
http://blog.windfluechter.net/content/blog/2013/02/26/1597-xen-problems-vms-2632-5-xen-amd64

Unfortunately this update appears to be problematic on my Xen hosting 
server. This night it happened the second time that some of the virtual 
network interfaces disappeared or turned out to be non-working. For 
example I have two VMs: one running the webserver and one running the 
databases. Between these two VMs there's a bridge on the dom0 and both 
VMs have a VIF to that (internal) bridge. What happens is that this 
bridge becomes inaccessible from within the webserver VM.

Sadly there's not much to see in the log files. I just spotted this on 
dom0:

    Feb 26 01:01:29 gate kernel: [12697.907512] vif3.1: Frag is bigger 
than frame.
    Feb 26 01:01:29 gate kernel: [12697.907550] vif3.1: fatal error; 
disabling device
    Feb 26 01:01:29 gate kernel: [12697.919921] xenbr1: port 3(vif3.1) 
entering disabled state
    Feb 26 01:22:00 gate kernel: [13928.644888] vif2.1: Frag is bigger 
than frame.
    Feb 26 01:22:00 gate kernel: [13928.644920] vif2.1: fatal error; 
disabling device
    Feb 26 01:22:00 gate kernel: [13928.663571] xenbr1: port 2(vif2.1) 
entering disabled state
    Feb 26 01:40:44 gate kernel: [15052.629280] vif7.1: Frag is bigger 
than frame.
    Feb 26 01:40:44 gate kernel: [15052.629314] vif7.1: fatal error; 
disabling device
    Feb 26 01:40:44 gate kernel: [15052.641725] xenbr1: port 6(vif7.1) 
entering disabled state

This corresponds to the number of VMs having lost their internal 
connection to the bridge. On the webserver VM I see this output:

    Feb 26 01:59:01 vserv1 kernel: [16113.539767] IPv6: sending 
pkt_too_big to self
    Feb 26 01:59:01 vserv1 kernel: [16113.539794] IPv6: sending 
pkt_too_big to self
    Feb 26 02:30:54 vserv1 kernel: [18026.407517] IPv6: sending 
pkt_too_big to self
    Feb 26 02:30:54 vserv1 kernel: [18026.407546] IPv6: sending 
pkt_too_big to self
    Feb 26 02:30:54 vserv1 kernel: [18026.434761] IPv6: sending 
pkt_too_big to self
    Feb 26 02:30:54 vserv1 kernel: [18026.434787] IPv6: sending 
pkt_too_big to self
    Feb 26 03:39:16 vserv1 kernel: [22128.768214] IPv6: sending 
pkt_too_big to self
    Feb 26 03:39:16 vserv1 kernel: [22128.768240] IPv6: sending 
pkt_too_big to self
    Feb 26 04:39:51 vserv1 kernel: [25764.250170] IPv6: sending 
pkt_too_big to self
    Feb 26 04:39:51 vserv1 kernel: [25764.250196] IPv6: sending 
pkt_too_big to self

Rebooting the VMs will result in a non-working VM as it will get paused 
on creation and Xen scripts complain about not working hotplug scripts 
and Xen logs shows this:

    [2013-02-25 13:06:34 5470] DEBUG (XendDomainInfo:101)
    XendDomainInfo.create(['vm', ['name', 'vserv1'], ['memory', '2048'],
    ['on_poweroff', 'destroy'], ['on_reboot', 'restart'], ['on_crash',
    'restart'], ['on_xend_start', 'ignore'], ['on_xend_stop', 'ignore'],
    ['vcpus', '2'], ['oos', 1], ['bootloader', 
'/usr/lib/xen-4.0/bin/pygrub'],
    ['bootloader_args', ''], ['image', ['linux', ['root', '/dev/xvdb '],
    ['videoram', 4], ['tsc_mode', 0], ['nomigrate', 0]]], 
['s3_integrity', 1],
    ['device', ['vbd', ['uname', 'phy:/dev/lv/vserv1-boot'], ['dev', 
'xvda'],
    ['mode', 'w']]], ['device', ['vbd', ['uname', 
'phy:/dev/lv/vserv1-disk'],
    ['dev', 'xvdb'], ['mode', 'w']]], ['device', ['vbd', ['uname',
    'phy:/dev/lv/vserv1-swap'], ['dev', 'xvdc'], ['mode', 'w']]], 
['device',
    ['vbd', ['uname', 'phy:/dev/lv/vserv1mirror'], ['dev', 'xvdd'], 
['mode',
    'w']]]])
    [2013-02-25 13:06:34 5470] DEBUG (XendDomainInfo:2508)
    XendDomainInfo.constructDomain
    [2013-02-25 13:06:34 5470] DEBUG (balloon:220) Balloon: 2100000 KiB 
free;
    need 16384; done.
    [2013-02-25 13:06:34 5470] DEBUG (XendDomain:464) Adding Domain: 39
    [2013-02-25 13:06:34 5470] DEBUG (XendDomainInfo:2818)
    XendDomainInfo.initDomain: 39 256
    [2013-02-25 13:06:34 5781] DEBUG (XendBootloader:113) Launching 
bootloader
    as ['/usr/lib/xen-4.0/bin/pygrub', '--args=root=/dev/xvdb  ',
    '--output=/var/run/xend/boot/xenbl.6040', '/dev/lv/vserv1-boot'].
    [2013-02-25 13:06:39 5470] DEBUG (XendDomainInfo:2845)
    _initDomain:shadow_memory=0x0, memory_static_max=0x80000000,
    memory_static_min=0x0.
    [2013-02-25 13:06:39 5470] INFO (image:182) buildDomain os=linux dom=39
    vcpus=2
    [2013-02-25 13:06:39 5470] DEBUG (image:721) domid	    = 39
    [2013-02-25 13:06:39 5470] DEBUG (image:722) memsize	    = 2048
    [2013-02-25 13:06:39 5470] DEBUG (image:723) image	    =
    /var/run/xend/boot/boot_kernel.xj7W_t
    [2013-02-25 13:06:39 5470] DEBUG (image:724) store_evtchn   = 1
    [2013-02-25 13:06:39 5470] DEBUG (image:725) console_evtchn = 2
    [2013-02-25 13:06:39 5470] DEBUG (image:726) cmdline	    =
    root=UUID=ed71a39f-fd2e-4035-8557-493686baa151 ro root=/dev/xvdb
    [2013-02-25 13:06:39 5470] DEBUG (image:727) ramdisk	    =
    /var/run/xend/boot/boot_ramdisk.QavuAo
    [2013-02-25 13:06:39 5470] DEBUG (image:728) vcpus	    = 2
    [2013-02-25 13:06:39 5470] DEBUG (image:729) features	    =
    [2013-02-25 13:06:39 5470] DEBUG (image:730) flags	    = 0
    [2013-02-25 13:06:39 5470] DEBUG (image:731) superpages     = 0
    [2013-02-25 13:06:40 5470] INFO (XendDomainInfo:2367) createDevice: 
vbd :
    {'uuid': '04d99772-cf27-aecf-2d1b-c73eaf657410', 'bootable': 1, 
'driver':
    'paravirtualised', 'dev': 'xvda', 'uname': 'phy:/dev/lv/vserv1-boot',
    'mode': 'w'}
    [2013-02-25 13:06:40 5470] DEBUG (DevController:95) DevController: 
writing
    {'virtual-device': '51712', 'device-type': 'disk', 'protocol':
    'x86_64-abi', 'backend-id': '0', 'state': '1', 'backend':
    '/local/domain/0/backend/vbd/39/51712'} to
    /local/domain/39/device/vbd/51712.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:97) DevController: 
writing
    {'domain': 'vserv1', 'frontend': '/local/domain/39/device/vbd/51712',
    'uuid': '04d99772-cf27-aecf-2d1b-c73eaf657410', 'bootable': '1', 'dev':
    'xvda', 'state': '1', 'params': '/dev/lv/vserv1-boot', 'mode': 'w',
    'online': '1', 'frontend-id': '39', 'type': 'phy'} to
    /local/domain/0/backend/vbd/39/51712.
    [2013-02-25 13:06:40 5470] INFO (XendDomainInfo:2367) createDevice: 
vbd :
    {'uuid': 'e46cb89f-3e54-41d2-53bd-759ed6c690d2', 'bootable': 0, 
'driver':
    'paravirtualised', 'dev': 'xvdb', 'uname': 'phy:/dev/lv/vserv1-disk',
    'mode': 'w'}
    [2013-02-25 13:06:40 5470] DEBUG (DevController:95) DevController: 
writing
    {'virtual-device': '51728', 'device-type': 'disk', 'protocol':
    'x86_64-abi', 'backend-id': '0', 'state': '1', 'backend':
    '/local/domain/0/backend/vbd/39/51728'} to
    /local/domain/39/device/vbd/51728.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:97) DevController: 
writing
    {'domain': 'vserv1', 'frontend': '/local/domain/39/device/vbd/51728',
    'uuid': 'e46cb89f-3e54-41d2-53bd-759ed6c690d2', 'bootable': '0', 'dev':
    'xvdb', 'state': '1', 'params': '/dev/lv/vserv1-disk', 'mode': 'w',
    'online': '1', 'frontend-id': '39', 'type': 'phy'} to
    /local/domain/0/backend/vbd/39/51728.
    [2013-02-25 13:06:40 5470] INFO (XendDomainInfo:2367) createDevice: 
vbd :
    {'uuid': 'e2d61860-7448-1843-3935-6b63c5d2878e', 'bootable': 0, 
'driver':
    'paravirtualised', 'dev': 'xvdc', 'uname': 'phy:/dev/lv/vserv1-swap',
    'mode': 'w'}
    [2013-02-25 13:06:40 5470] DEBUG (DevController:95) DevController: 
writing
    {'virtual-device': '51744', 'device-type': 'disk', 'protocol':
    'x86_64-abi', 'backend-id': '0', 'state': '1', 'backend':
    '/local/domain/0/backend/vbd/39/51744'} to
    /local/domain/39/device/vbd/51744.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:97) DevController: 
writing
    {'domain': 'vserv1', 'frontend': '/local/domain/39/device/vbd/51744',
    'uuid': 'e2d61860-7448-1843-3935-6b63c5d2878e', 'bootable': '0', 'dev':
    'xvdc', 'state': '1', 'params': '/dev/lv/vserv1-swap', 'mode': 'w',
    'online': '1', 'frontend-id': '39', 'type': 'phy'} to
    /local/domain/0/backend/vbd/39/51744.
    [2013-02-25 13:06:40 5470] INFO (XendDomainInfo:2367) createDevice: 
vbd :
    {'uuid': 'd314a46e-1ce9-0e8d-b009-3f08e29735f5', 'bootable': 0, 
'driver':
    'paravirtualised', 'dev': 'xvdd', 'uname': 'phy:/dev/lv/vserv1mirror',
    'mode': 'w'}
    [2013-02-25 13:06:40 5470] DEBUG (DevController:95) DevController: 
writing
    {'virtual-device': '51760', 'device-type': 'disk', 'protocol':
    'x86_64-abi', 'backend-id': '0', 'state': '1', 'backend':
    '/local/domain/0/backend/vbd/39/51760'} to
    /local/domain/39/device/vbd/51760.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:97) DevController: 
writing
    {'domain': 'vserv1', 'frontend': '/local/domain/39/device/vbd/51760',
    'uuid': 'd314a46e-1ce9-0e8d-b009-3f08e29735f5', 'bootable': '0', 'dev':
    'xvdd', 'state': '1', 'params': '/dev/lv/vserv1mirror', 'mode': 'w',
    'online': '1', 'frontend-id': '39', 'type': 'phy'} to
    /local/domain/0/backend/vbd/39/51760.
    [2013-02-25 13:06:40 5470] DEBUG (XendDomainInfo:3400) Storing VM 
details:
    {'on_xend_stop': 'ignore', 'shadow_memory': '0', 'uuid':
    '04541225-6d3c-3cae-a4c4-0b6d4ccfac7a', 'on_reboot': 'restart',
    'start_time': '1361794000.37', 'on_poweroff': 'destroy', 
'bootloader_args':
    '', 'on_xend_start': 'ignore', 'on_crash': 'restart', 
'xend/restart_count':
    '0', 'vcpus': '2', 'vcpu_avail': '3', 'bootloader':
    '/usr/lib/xen-4.0/bin/pygrub', 'image': "(linux (kernel ) (args
    'root=/dev/xvdb  ') (superpages 0) (tsc_mode 0) (videoram 4) (pci ())
    (nomigrate 0) (notes (HV_START_LOW 18446603336221196288) (FEATURES
    '!writable_page_tables|pae_pgdir_above_4gb') (VIRT_BASE
    18446744071562067968) (GUEST_VERSION 2.6) (PADDR_OFFSET 0) 
(GUEST_OS linux)
    (HYPERCALL_PAGE 18446744071578882048) (LOADER generic) 
(SUSPEND_CANCEL 1)
    (PAE_MODE yes) (ENTRY 18446744071584289280) (XEN_VERSION xen-3.0)))",
    'name': 'vserv1'}
    [2013-02-25 13:06:40 5470] DEBUG (XendDomainInfo:1804) Storing domain
    details: {'console/ring-ref': '2143834', 'image/entry':
    '18446744071584289280', 'console/port': '2', 'store/ring-ref': 
'2143835',
    'image/loader': 'generic', 'vm':
    '/vm/04541225-6d3c-3cae-a4c4-0b6d4ccfac7a',
    'control/platform-feature-multiprocessor-suspend': '1',
    'image/hv-start-low': '18446603336221196288', 'image/guest-os': 
'linux',
    'cpu/1/availability': 'online', 'image/virt-base': 
'18446744071562067968',
    'memory/target': '2097152', 'image/guest-version': '2.6', 
'image/pae-mode':
    'yes', 'description': '', 'console/limit': '1048576', 
'image/paddr-offset':
    '0', 'image/hypercall-page': '18446744071578882048',
    'image/suspend-cancel': '1', 'cpu/0/availability': 'online',
    'image/features/pae-pgdir-above-4gb': '1',
    'image/features/writable-page-tables': '0', 'console/type': 
'xenconsoled',
    'name': 'vserv1', 'domid': '39', 'image/xen-version': 'xen-3.0',
    'store/port': '1'}
    [2013-02-25 13:06:40 5470] DEBUG (DevController:95) DevController: 
writing
    {'protocol': 'x86_64-abi', 'state': '1', 'backend-id': '0', 'backend':
    '/local/domain/0/backend/console/39/0'} to
    /local/domain/39/device/console/0.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:97) DevController: 
writing
    {'domain': 'vserv1', 'frontend': '/local/domain/39/device/console/0',
    'uuid': 'c8819aed-c78f-02b8-0ef7-1600abd15add', 'frontend-id': '39',
    'state': '1', 'location': '2', 'online': '1', 'protocol': 'vt100'} to
    /local/domain/0/backend/console/39/0.
    [2013-02-25 13:06:40 5470] DEBUG (XendDomainInfo:1891)
    XendDomainInfo.handleShutdownWatch
    [2013-02-25 13:06:40 5470] DEBUG (DevController:139) Waiting for 
devices
    vif2.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:139) Waiting for 
devices
    vif.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:139) Waiting for 
devices
    vscsi.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:139) Waiting for 
devices
    vbd.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:144) Waiting for 51712.
    [2013-02-25 13:06:40 5470] DEBUG (DevController:628) 
hotplugStatusCallback
    /local/domain/0/backend/vbd/39/51712/hotplug-status.

From my point of view, either Xen hypervisor or the kernel seems to be 
broken, but it's hard to tell for me.


I suspect the problem within the Xen kernel part of VIF code as a reboot 
of the dom0 solves this problem temporarily without touching the domUs. 
But within some hours (<6 hrs) the issue re-appears.
Although I assume that xend is responsible for adding/removing VIFs a 
restart of xend doesn't help at all. That's why I assume a kernel 
problem within the dom0.

I'm running 8 domUs at the moment, each of them is connected to the 
outer world through xenbr0 and connected to the internal world through 
xenbr1 and RFC1918 addresses. I'm running a mixed setup of routed and 
bridged config:

(vif-script vif-bridge)
(network-script network-route)

But the server ran several years with that setup without any problems, 
so I don't think that's an issue.

For now I'm forced to go back to a working kernel as I need to keep the 
server up and running.

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-5-xen-amd64

gate:~# dpkg -l | grep xen
ii  libxenstore3.0                      4.0.1-5.6 
Xenstore communications library for Xen
ii  linux-image-2.6.32-5-xen-amd64      2.6.32-48 
Linux 2.6.32 for 64-bit PCs, Xen dom0 support
ii  xen-hypervisor-4.0-amd64            4.0.1-5.6 
The Xen Hypervisor on AMD64
ii  xen-linux-system-2.6-xen-amd64      2.6.32+29 
Xen system with Linux 2.6 for 64-bit PCs (meta-package)
ii  xen-linux-system-2.6.32-5-xen-amd64 2.6.32-48 
Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
ii  xen-tools                           4.2-1 
Tools to manage Xen virtual servers
ii  xen-utils-4.0                       4.0.1-5.6 
XEN administrative tools
ii  xen-utils-common                    4.0.0-1 
XEN administrative tools - common files
ii  xenstore-utils                      4.0.1-5.6 
Xenstore utilities for Xen
ii  xenwatch                            0.5.4-2 
Virtualization utilities, mostly for Xen


-- 
Ciao...            //      Fon: 0381-2744150
      Ingo       \X/       http://blog.windfluechter.net
Please don't share this address with Facebook or Google!
gpg pubkey: http://www.juergensmann.de/ij_public_key.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Tue, 26 Feb 2013 18:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 26 Feb 2013 18:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 701744@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Ingo Juergensmann <ij@2013.bluespice.org>, 701744@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Tue, 26 Feb 2013 18:19:35 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2013-02-26 at 18:42 +0100, Ingo Juergensmann wrote:
> 
> Since the update last weekind in stable/squeeze I'm experiencing 
> problems with running Xen on amd64 and multiple domUs losing their 
> network connection/VIFs. 

The hypervisors involvement in the specifics of the networking is pretty
minimal -- a kernel bug is much more likely IMHO.

In particular the messages you are seeing look a lot like those which
would result from
http://wiki.xen.org/wiki/Security_Announcements#XSA_39_Linux_netback_DoS_via_malicious_guest_ring..

So, was the hypervisor upgrade also accompanied by a kernel update, in
either the dom0 or guest domains? If so what versions were involved and
where?

Thanks,
Ian
-- 
Ian Campbell


pain, n.:
	One thing, at least it proves that you're alive!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Tue, 26 Feb 2013 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Jürgensmann <ij@2013.bluespice.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 26 Feb 2013 19:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 701744@bugs.debian.org (full text, mbox):

From: Ingo Jürgensmann <ij@2013.bluespice.org>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 701744@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Tue, 26 Feb 2013 19:59:30 +0100
Am 26.02.2013 um 19:19 schrieb Ian Campbell <ijc@hellion.org.uk>:

>> Since the update last weekind in stable/squeeze I'm experiencing 
>> problems with running Xen on amd64 and multiple domUs losing their 
>> network connection/VIFs. 
> The hypervisors involvement in the specifics of the networking is pretty
> minimal -- a kernel bug is much more likely IMHO.
> In particular the messages you are seeing look a lot like those which
> would result from
> http://wiki.xen.org/wiki/Security_Announcements#XSA_39_Linux_netback_DoS_via_malicious_guest_ring..
> So, was the hypervisor upgrade also accompanied by a kernel update, in
> either the dom0 or guest domains? If so what versions were involved and
> where?


Yes, it was a full update, both on dom0 as well as on domUs. I always try to keep kernels on dom0 and domU the same version. 

The blog posts lists the packages that were updated last weekend: 

gate:~# dir /var/cache/apt/archives/
base-files_6.0squeeze7_amd64.deb                 libxenstore3.0_4.0.1-5.6_amd64.deb
bind9-host_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb   linux-base_2.6.32-48_all.deb
dbus_1.2.24-4+squeeze2_amd64.deb                 linux-image-2.6.32-5-amd64_2.6.32-48_amd64.deb
dbus-x11_1.2.24-4+squeeze2_amd64.deb             linux-image-2.6.32-5-xen-amd64_2.6.32-48_amd64.deb
firmware-linux-free_2.6.32-48_all.deb            lock
gzip_1.3.12-9+squeeze1_amd64.deb                 openssh-client_1%3a5.5p1-6+squeeze3_amd64.deb
host_1%3a9.7.3.dfsg-1~squeeze9_all.deb           openssh-server_1%3a5.5p1-6+squeeze3_amd64.deb
libbind9-60_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb  openssl_0.9.8o-4squeeze14_amd64.deb
libcups2_1.4.4-7+squeeze3_amd64.deb              partial
libdbus-1-3_1.2.24-4+squeeze2_amd64.deb          perl_5.10.1-17squeeze5_amd64.deb
libdbus-glib-1-2_0.88-2.1+squeeze1_amd64.deb     perl-base_5.10.1-17squeeze5_amd64.deb
libdns69_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb     perl-modules_5.10.1-17squeeze5_all.deb
libisc62_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb     ssh_1%3a5.5p1-6+squeeze3_all.deb
libisccc60_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb   tzdata_2012g-0squeeze1_all.deb
libisccfg62_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb  xen-hypervisor-4.0-amd64_4.0.1-5.6_amd64.deb
libldap-2.4-2_2.4.23-7.3_amd64.deb               xen-linux-system-2.6.32-5-xen-amd64_2.6.32-48_amd64.deb
liblwres60_1%3a9.7.3.dfsg-1~squeeze9_amd64.deb   xenstore-utils_4.0.1-5.6_amd64.deb
libperl5.10_5.10.1-17squeeze5_amd64.deb          xen-utils-4.0_4.0.1-5.6_amd64.deb
libssl0.9.8_0.9.8o-4squeeze14_amd64.deb

The same kernel versions were updated in the domUs.

-- 
Ciao...            //      Fon: 0381-2744150
      Ingo       \X/       http://blog.windfluechter.net


gpg pubkey:  http://www.juergensmann.de/ij_public_key.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Thu, 28 Feb 2013 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Jürgensmann <ij@2013.bluespice.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 06:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 701744@bugs.debian.org (full text, mbox):

From: Ingo Jürgensmann <ij@2013.bluespice.org>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 701744@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Thu, 28 Feb 2013 07:47:52 +0100
Am 26.02.2013 um 19:19 schrieb Ian Campbell <ijc@hellion.org.uk>:

> So, was the hypervisor upgrade also accompanied by a kernel update, in
> either the dom0 or guest domains? If so what versions were involved and
> where?


Additionally to the last mail: 
After running two days stable with the downgraded packages, I've now upgraded the hypervisor package to xen-hypervisor-4.0-amd64_4.0.1-5.6_amd64.deb again and rebooted. 
If the machine runs stable with that, I'd say the kernel package is broken. And if the issues popping up again now, it's the hypervisor. All domUs are still running the updated kernel packages (pre DSA-2632-1), the dom0 the downgraded kernel package.  

-- 
Ciao...            //      Fon: 0381-2744150
      Ingo       \X/       http://blog.windfluechter.net


gpg pubkey:  http://www.juergensmann.de/ij_public_key.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Thu, 28 Feb 2013 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 10:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 701744@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Ingo Jürgensmann <ij@2013.bluespice.org>
Cc: 701744@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Thu, 28 Feb 2013 10:28:27 +0000
On Thu, 2013-02-28 at 07:47 +0100, Ingo Jürgensmann wrote:
> Am 26.02.2013 um 19:19 schrieb Ian Campbell <ijc@hellion.org.uk>:
> 
> > So, was the hypervisor upgrade also accompanied by a kernel update, in
> > either the dom0 or guest domains? If so what versions were involved and
> > where?
> 
> 
> Additionally to the last mail: 
> After running two days stable with the downgraded packages, I've now
> upgraded the hypervisor package to
> xen-hypervisor-4.0-amd64_4.0.1-5.6_amd64.deb again and rebooted. 
> If the machine runs stable with that, I'd say the kernel package is
> broken. And if the issues popping up again now, it's the hypervisor.

I am 99% positive it will turn out to be the kernel, but please do let
us know.

> All domUs are still running the updated kernel packages (pre
> DSA-2632-1), the dom0 the downgraded kernel package.  

When you reach a conclusion (assuming it is the one I expect!) please
can you confirm the fixed+broken kernel package versions so I can
reassign as appropriate.

Unfortunately I'm about to go travelling for a week but I have asked one
of my colleagues to try and take a look at this.

Ian.
-- 
Ian Campbell


A beginning is the time for taking the most delicate care that balances are
correct.
		-- Princess Irulan, "Manual of Maud'Dib"




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Thu, 28 Feb 2013 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Jürgensmann <ij@2013.bluespice.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 19:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 701744@bugs.debian.org (full text, mbox):

From: Ingo Jürgensmann <ij@2013.bluespice.org>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 701744@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Thu, 28 Feb 2013 20:30:30 +0100
Am 28.02.2013 um 11:28 schrieb Ian Campbell <ijc@hellion.org.uk>:

> I am 99% positive it will turn out to be the kernel, but please do let
> us know.

Shortly before 18:00 today I reinstalled linux-image-2.6.32-5-xen-amd64_2.6.32-48_amd64.deb as kernel and it took only 2.5 hours to trigger the issue. 
The hypervisor is xen-hypervisor-4.0-amd64 4.0.1-5.4 at this time.  

>> All domUs are still running the updated kernel packages (pre
>> DSA-2632-1), the dom0 the downgraded kernel package.  
> When you reach a conclusion (assuming it is the one I expect!) please
> can you confirm the fixed+broken kernel package versions so I can
> reassign as appropriate.
> Unfortunately I'm about to go travelling for a week but I have asked one
> of my colleagues to try and take a look at this.


I will now upgrade to DSA-2632-1 kernels and see whether that works or has the same issues. Will keep you updated. 

-- 
Ciao...            //      Fon: 0381-2744150
      Ingo       \X/       http://blog.windfluechter.net


gpg pubkey:  http://www.juergensmann.de/ij_public_key.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Thu, 28 Feb 2013 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Jürgensmann <ij@2013.bluespice.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 20:27:05 GMT) Full text and rfc822 format available.

Message #35 received at 701744@bugs.debian.org (full text, mbox):

From: Ingo Jürgensmann <ij@2013.bluespice.org>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 701744@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Thu, 28 Feb 2013 21:24:46 +0100
Am 28.02.2013 um 11:28 schrieb Ian Campbell <ijc@hellion.org.uk>:

>> All domUs are still running the updated kernel packages (pre
>> DSA-2632-1), the dom0 the downgraded kernel package.  

linux-image-2.6.32-5-xen-amd64 2.6.32-48squeeze1 triggered the problem within 30 mins. ;-)

> When you reach a conclusion (assuming it is the one I expect!) please
> can you confirm the fixed+broken kernel package versions so I can
> reassign as appropriate.

Conclusion: it's the kernel... ;-) 

Working: 
- kernel: linux-image-2.6.32-5-xen-amd64_2.6.32-46_amd64.deb
- hypervisor: xen-hypervisor-4.0-amd64_4.0.1-5.4_amd64.deb, xen-hypervisor-4.0-amd64_4.0.1-5.6_amd64.deb

Not Working kernels:
- linux-image-2.6.32-5-xen-amd64_2.6.32-48_amd64.deb
- linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze1_amd64.deb

So, I'm going back to linux-image-2.6.32-5-xen-amd64_2.6.32-46_amd64.deb... 

-- 
Ciao...            //      Fon: 0381-2744150
      Ingo       \X/       http://blog.windfluechter.net


gpg pubkey:  http://www.juergensmann.de/ij_public_key.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Fri, 29 Mar 2013 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Hochholdinger <Markus@hochholdinger.net>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Fri, 29 Mar 2013 14:06:04 GMT) Full text and rfc822 format available.

Message #40 received at 701744@bugs.debian.org (full text, mbox):

From: Markus Hochholdinger <Markus@hochholdinger.net>
To: 701744@bugs.debian.org
Subject: Re: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Fri, 29 Mar 2013 14:53:03 +0100
[Message part 1 (text/plain, inline)]
Hello,

I was also hit by this problem. Perhaps it is related to the xen-netback 
module in the dom0 kernel?

Have a look at:
http://www.gossamer-threads.com/lists/xen/devel/275548


-- 
greetings

eMHa
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Thu, 11 Apr 2013 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ward Vandewege <ward@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 11 Apr 2013 17:09:05 GMT) Full text and rfc822 format available.

Message #45 received at 701744@bugs.debian.org (full text, mbox):

From: Ward Vandewege <ward@gnu.org>
To: Debian Bug Tracking System <701744@bugs.debian.org>
Subject: xen-hypervisor-4.0-amd64: also seeing this problem on 4.0.1-5.8
Date: Thu, 11 Apr 2013 12:50:15 -0400
Package: xen-hypervisor-4.0-amd64
Version: 4.0.1-5.8
Severity: critical


We're seeing this too on 4.0.1-5.8, and it's causing major problems.

Xen on Debian Squeeze is basically unusable with the latest packages. Is a
fixed package in sight?

Thanks,
Ward.

-- System Information:
Debian Release: 6.0.7
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/12 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

xen-hypervisor-4.0-amd64 depends on no packages.

Versions of packages xen-hypervisor-4.0-amd64 recommends:
ii  xen-utils-4.0                 4.0.1-5.8  XEN administrative tools

Versions of packages xen-hypervisor-4.0-amd64 suggests:
pn  xen-docs-4.0                  <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Wed, 17 Apr 2013 08:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to johnny Strom <johnny.strom@linuxsolutions.fi>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 17 Apr 2013 08:00:04 GMT) Full text and rfc822 format available.

Message #50 received at 701744@bugs.debian.org (full text, mbox):

From: johnny Strom <johnny.strom@linuxsolutions.fi>
To: 701744@bugs.debian.org
Subject: We see the same with Debian wheezy.
Date: Wed, 17 Apr 2013 10:50:18 +0300

Hello we see the same with debian Wheezy.


Apr 16 16:02:25 hypervisor3 kernel: [2441115.664216] vif vif-17-0: 
vif17.0: Frag is bigger than frame.
Apr 16 16:02:25 hypervisor3 kernel: [2441115.664267] vif vif-17-0: 
vif17.0: fatal error; disabling device
Apr 16 16:02:25 hypervisor3 kernel: [2441115.675667] BUG: unable to 
handle kernel NULL pointer dereference at 00000000000008b8
Apr 16 16:02:25 hypervisor3 kernel: [2441115.675748] IP: 
[<ffffffff8134d981>] _raw_spin_lock_irqsave+0xe/0x25
Apr 16 16:02:25 hypervisor3 kernel: [2441115.675804] PGD 0
Apr 16 16:02:25 hypervisor3 kernel: [2441115.675843] Oops: 0002 [#1] SMP
Apr 16 16:02:25 hypervisor3 kernel: [2441115.675893] CPU 17
Apr 16 16:02:25 hypervisor3 kernel: [2441115.675903] Modules linked in: 
cpuid xt_physdev xen_netback xen_blkback xen_gntdev xen_evtchn xenfs 
nfsd nfs nfs_acl auth_rpcgss fscache lockd sunrpc xt_tcpudp xt_state 
ipt_LOG iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack 
iptable_filter ip_tables x_tables bridge stp dm_round_robin loop 
dm_multipath scsi_dh snd_pcm snd_page_alloc snd_timer snd soundcore 
coretemp crc32c_intel dm_mod iTCO_wdt sb_edac edac_core joydev evdev 
ghash_clmulni_intel aesni_intel aes_x86_64 aes_generic cryptd dcdbas 
pcspkr iTCO_vendor_support wmi shpchp acpi_power_meter processor button 
thermal_sys ext4 crc16 jbd2 mbcache microcode usbhid hid sg sr_mod 
sd_mod cdrom crc_t10dif lpfc scsi_transport_fc scsi_tgt ahci libahci 
libata ehci_hcd megaraid_sas usbcore scsi_mod usb_common tg3 libphy 
[last unloaded: scsi_wait_scan]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.676849]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.676883] Pid: 6383, comm: 
netback/17 Not tainted 3.2.0-4-amd64 #1 Debian 3.2.39-2 Dell Inc. 
PowerEdge R720/0X6H47
Apr 16 16:02:25 hypervisor3 kernel: [2441115.676978] RIP: 
e030:[<ffffffff8134d981>]  [<ffffffff8134d981>] 
_raw_spin_lock_irqsave+0xe/0x25
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677056] RSP: 
e02b:ffff880f79a57c30  EFLAGS: 00010002
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677099] RAX: 
ffff8809dc3b0218 RBX: 00000000000008b8 RCX: 00000000153b5180
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677168] RDX: 
0000000000010000 RSI: ffffc9001b930000 RDI: 00000000000008b8
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677237] RBP: 
00000000000008b8 R08: 000000000002002a R09: 000000000000002f
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677306] R10: 
ffff880f7c37a4c0 R11: ffff880f7c37a4c0 R12: ffff8809dc3b7740
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677375] R13: 
0000000000000000 R14: ffff8809dc3b7818 R15: ffff880f78fe0002
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677448] FS:  
00007fa2bb71e700(0000) GS:ffff880fbfa20000(0000) knlGS:0000000000000000
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677519] CS:  e033 DS: 0000 
ES: 0000 CR0: 000000008005003b
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677563] CR2: 
00000000000008b8 CR3: 0000000001605000 CR4: 0000000000002660
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677632] DR0: 
0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677701] DR3: 
0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677771] Process netback/17 
(pid: 6383, threadinfo ffff880f79a56000, task ffff880f76f698d0)
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677843] Stack:
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677877]  0000000000000000 
ffffffffa048cddd ffff880f7c37a4c0 ffff8809dc3b7740
Apr 16 16:02:25 hypervisor3 kernel: [2441115.677969]  00000000153b5180 
00000000153b5180 0000000000000000 00000000153b5180
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678060]  ffff880f78fe0002 
ffffffffa048cf71 ffff8809dc3b7740 ffffc90017356ec0
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678152] Call Trace:
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678191]  
[<ffffffffa048cddd>] ? xen_netbk_schedule_xenvif+0x35/0xd6 [xen_netback]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678264]  
[<ffffffffa048cf71>] ? netbk_tx_err+0x3f/0x4b [xen_netback]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678311]  
[<ffffffffa048d517>] ? xen_netbk_tx_build_gops+0x59a/0x9e2 [xen_netback]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678384]  
[<ffffffff81004be5>] ? phys_to_machine+0x13/0x1c
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678429]  
[<ffffffff810040b9>] ? xen_mc_flush+0x124/0x153
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678474]  
[<ffffffff81003124>] ? xen_end_context_switch+0xe/0x1c
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678520]  
[<ffffffff81003b77>] ? xen_mc_issue.constprop.24+0x31/0x49
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678567]  
[<ffffffff8100d02f>] ? load_TLS+0x7/0xa
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678610]  
[<ffffffff8100d6a6>] ? __switch_to+0x13b/0x258
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678656]  
[<ffffffff810359b7>] ? arch_local_irq_enable+0x7/0x8
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678702]  
[<ffffffff81039834>] ? finish_task_switch+0x88/0xb9
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678747]  
[<ffffffff8134c60c>] ? __schedule+0x5ac/0x5c3
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678791]  
[<ffffffffa048da8d>] ? xen_netbk_kthread+0x12e/0x6f5 [xen_netback]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678864]  
[<ffffffff8105f943>] ? add_wait_queue+0x3c/0x3c
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678908]  
[<ffffffffa048d95f>] ? xen_netbk_tx_build_gops+0x9e2/0x9e2 [xen_netback]
Apr 16 16:02:25 hypervisor3 kernel: [2441115.678981]  
[<ffffffff8105f2f1>] ? kthread+0x76/0x7e
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679025]  
[<ffffffff81354ab4>] ? kernel_thread_helper+0x4/0x10
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679070]  
[<ffffffff81352b73>] ? int_ret_from_sys_call+0x7/0x1b
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679115]  
[<ffffffff8134dcbc>] ? retint_restore_args+0x5/0x6
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679160]  
[<ffffffff81354ab0>] ? gs_change+0x13/0x13
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679201] Code: be 01 00 00 
00 e9 cf fe ff ff e8 bb 32 d2 ff 85 c0 0f 95 c0 0f b6 c0 c3 e9 92 32 d2 
ff 53 48 89 fb e8 58 32 d2 ff ba 00 00 01 00 <f0> 0f c1 13 89 d1 c1 e9 
10 66 39 ca 74 07 f3 90 66 8b 13 eb f4
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679715] RIP  
[<ffffffff8134d981>] _raw_spin_lock_irqsave+0xe/0x25
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679766]  RSP <ffff880f79a57c30>
Apr 16 16:02:25 hypervisor3 kernel: [2441115.679803] CR2: 00000000000008b8
Apr 16 16:02:25 hypervisor3 kernel: [2441115.680261] ---[ end trace 
af1c02984d34edeb ]---
Apr 16 16:02:25 hypervisor3 kernel: [2441115.681500] wan0: port 
16(vif17.0) entering forwarding state








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Sat, 20 Apr 2013 08:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Francois Chevrette <jf.cron0@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Sat, 20 Apr 2013 08:33:05 GMT) Full text and rfc822 format available.

Message #55 received at 701744@bugs.debian.org (full text, mbox):

From: Jean-Francois Chevrette <jf.cron0@gmail.com>
To: 701744@bugs.debian.org
Subject: We see the same with Debian wheezy.
Date: Sat, 20 Apr 2013 04:31:22 -0400
[Message part 1 (text/plain, inline)]
Same issue here. Haven't found a solution yet.

Has anybody been succesful in downgrading the Wheezy kernel to workaround
this issue?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Mon, 22 Apr 2013 06:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to johnny Strom <johnny.strom@linuxsolutions.fi>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 22 Apr 2013 06:15:04 GMT) Full text and rfc822 format available.

Message #60 received at 701744@bugs.debian.org (full text, mbox):

From: johnny Strom <johnny.strom@linuxsolutions.fi>
To: 701744@bugs.debian.org
Subject: Possible workaround.
Date: Mon, 22 Apr 2013 09:12:04 +0300
It might help to disable TSO and GSO inside the Linux PV guest with ethtool.

ethtool -K eth0 tso off gso off









Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Fri, 24 May 2013 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jürg Lehni <juerg@scratchdisk.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Fri, 24 May 2013 19:21:04 GMT) Full text and rfc822 format available.

Message #65 received at 701744@bugs.debian.org (full text, mbox):

From: Jürg Lehni <juerg@scratchdisk.com>
To: 701744@bugs.debian.org
Subject: Re: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Fri, 24 May 2013 12:16:17 -0700
Hello,

We are also encountering this critical issue. I hope a solution will be found shortly.

Jürg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Wed, 29 May 2013 02:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Filion <gabster@lelutin.ca>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 29 May 2013 02:33:07 GMT) Full text and rfc822 format available.

Message #70 received at 701744@bugs.debian.org (full text, mbox):

From: Gabriel Filion <gabster@lelutin.ca>
To: 701744@bugs.debian.org
Subject: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Tue, 28 May 2013 22:22:41 -0400
[Message part 1 (text/plain, inline)]
I'm seeing this on debian wheezy, too like Johnny Strom reported.

# uname -a
Linux minerve 3.2.0-4-amd64 #1 SMP Debian 3.2.41-2+deb7u2 x86_64 GNU/Linux

# dpkg -l | grep hypervisor
ii  xen-hypervisor-4.1-amd64                4.1.4-3+deb7u1
             amd64        Xen Hypervisor on AMD64

The network is configured without "(network-script network-bridge)" in
xend-config.sxp and in /etc/network/interfaces, we have no entry for
eth0 and this (replaced the real values by stars):

auto br0
iface br0 inet static
        address *
        netmask *
        broadcast *
        gateway *
        bridge_ports eth0


on the dom0, we can see this in kern.log:

May 28 19:09:30 minerve kernel: [613987.529752] vif vif-11-0: vif11.0:
Frag is bigger than frame.
May 28 19:09:30 minerve kernel: [613987.539463] vif vif-11-0: vif11.0:
fatal error; disabling device
May 28 19:09:30 minerve kernel: [613987.550091] br0: port 2(vif11.0)
entering forwarding state

on the console for the VM, I could see this multiple times:

[233721.357648] device eth0 left promiscuous mode
[233721.424093] device eth0 entered promiscuous mode

I don't have further access to this VM. On other VMs where this
happened, I could see this in the logs:

[2601471.852025] TCP: Peer 74.94.211.209:31059/80 unexpectedly shrunk
window 4233113998:4233124218 (repaired)
[2601479.916025] TCP: Peer 74.94.211.209:31059/80 unexpectedly shrunk
window 4233113998:4233124218 (repaired)

-- 
Gabriel Filion

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#701744; Package xen. (Wed, 29 May 2013 18:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 29 May 2013 18:15:09 GMT) Full text and rfc822 format available.

Message #75 received at 701744@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 701744@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Stable backport requested
Date: Wed, 29 May 2013 19:14:05 +0100
reassign 701744 src:linux
found 701744 2.6.32-48
found 701744 3.2.41-2+deb7u2
thanks

FYI I have requested[0] an upstream stable backport of the fixes for
this issue, which is in the kernel not the hypervisor.

Ian.

[0] http://marc.info/?l=linux-netdev&m=136973447431251&w=2




Bug reassigned from package 'xen' to 'src:linux'. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Wed, 29 May 2013 18:15:15 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1-5.5 and xen/4.0.1-5.8. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Wed, 29 May 2013 18:15:16 GMT) Full text and rfc822 format available.

Marked as found in versions linux/2.6.32-48. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Wed, 29 May 2013 18:15:18 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.41-2+deb7u2. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Wed, 29 May 2013 18:15:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Sun, 02 Jun 2013 10:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marek Isalski <marek@faelix.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 02 Jun 2013 10:27:07 GMT) Full text and rfc822 format available.

Message #88 received at 701744@bugs.debian.org (full text, mbox):

From: Marek Isalski <marek@faelix.net>
To: 701744@bugs.debian.org
Subject: frag is bigger than frame on 3.2.0-4-amd64
Date: Sun, 2 Jun 2013 11:18:23 +0100
Also seeing this bug on wheezy 3.2.0-4-amd64.  It ended up completely killing the Xen stack, not just the vif it disabled.  New vifs couldn't be created, Xen couldn't create any new VMs ("out of memory" despite having 50G free).

> Jun  2 07:06:16 fifi kernel: [5078695.913503] vif vif-14-0: Xa9feca42: Frag is bigger than frame.
> Jun  2 07:06:16 fifi kernel: [5078695.913518] vif vif-14-0: Xa9feca42: fatal error; disabling device
> Jun  2 07:06:16 fifi kernel: [5078695.913566] BUG: unable to handle kernel NULL pointer dereference at 00000000000008b8
> Jun  2 07:06:16 fifi kernel: [5078695.913600] IP: [<ffffffff8134d981>] _raw_spin_lock_irqsave+0xe/0x25
> Jun  2 07:06:16 fifi kernel: [5078695.913623] PGD f1d4ed067 PUD a8faf5067 PMD 0
> Jun  2 07:06:16 fifi kernel: [5078695.913687] Oops: 0002 [#1] SMP
> Jun  2 07:06:16 fifi kernel: [5078695.913712] CPU 3

Marek Isalski
Technical Director, Faelix Limited, http://faelix.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Sun, 23 Jun 2013 22:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drew Hastings <dhastings@crucialwebhost.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 23 Jun 2013 22:45:13 GMT) Full text and rfc822 format available.

Message #93 received at 701744@bugs.debian.org (full text, mbox):

From: Drew Hastings <dhastings@crucialwebhost.com>
To: 701744@bugs.debian.org
Subject: Re: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Sun, 23 Jun 2013 15:41:42 -0700
I'm seeing these issues as well, for the first time today. I had two 
VM's fail. The unique thing about these dom0's was that they both only 
had one VM.

As an example, the xm info on one of them is:

root@phx-1006:~# cat /etc/debian_version
6.0.7

root@phx-1006:~# xm info
host                   : phx-1006
release                : 2.6.32-5-xen-amd64
version                : #1 SMP Mon Feb 25 02:51:39 UTC 2013
machine                : x86_64
nr_cpus                : 4
nr_nodes               : 1
cores_per_socket       : 4
threads_per_core       : 1
cpu_mhz                : 3100
hw_caps                : 
bfebfbff:28100800:00000000:00001f40:13bae3ff:00000000:00000001:00000000
virt_caps              : hvm
total_memory           : 8164
free_memory            : 50
node_to_cpu            : node0:0-3
node_to_memory         : node0:50
node_to_dma32_mem      : node0:50
max_node_id            : 0
xen_major              : 4
xen_minor              : 0
xen_extra              : .1
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 
hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : unavailable
xen_commandline        : placeholder dom0_mem=1024M
cc_compiler            : gcc version 4.4.5 (Debian 4.4.5-8)
cc_compile_by          : ijc
cc_compile_domain      : hellion.org.uk
cc_compile_date        : Wed Apr 17 18:59:41 UTC 2013
xend_config_format     : 4


I am also only a small mention of it in /var/logmessages:

Jun 23 12:13:58 phx-1006 kernel: [3863294.436187] pub: port 2(vif4.0) 
entering disabled state

I have active-backup bonding setup between two NICs, which might be 
unrelated to the bug. I then create a bridge using that bonding device 
in /etc/network/interfaces

-- 
Drew H




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Wed, 26 Jun 2013 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drew Hastings <dhastings@crucialwebhost.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 26 Jun 2013 09:00:07 GMT) Full text and rfc822 format available.

Message #98 received at 701744@bugs.debian.org (full text, mbox):

From: Drew Hastings <dhastings@crucialwebhost.com>
To: 701744@bugs.debian.org
Subject: Re: Bug#701744: [xen] Update to hypervisor 4.0.1-5.6 or linux-image-2.6.32-5-xen-amd64 2.6.32-48 causes networking (VIF) failures
Date: Wed, 26 Jun 2013 01:57:07 -0700
I am exclusively seeing this on the same two servers so far. Is anyone 
experiencing on this server with more than one VM?

Drew Hastings

On 06/23/2013 03:41 PM, Drew Hastings wrote:
> I'm seeing these issues as well, for the first time today. I had two 
> VM's fail. The unique thing about these dom0's was that they both only 
> had one VM.
>
> As an example, the xm info on one of them is:
>
> root@phx-1006:~# cat /etc/debian_version
> 6.0.7
>
> root@phx-1006:~# xm info
> host                   : phx-1006
> release                : 2.6.32-5-xen-amd64
> version                : #1 SMP Mon Feb 25 02:51:39 UTC 2013
> machine                : x86_64
> nr_cpus                : 4
> nr_nodes               : 1
> cores_per_socket       : 4
> threads_per_core       : 1
> cpu_mhz                : 3100
> hw_caps                : 
> bfebfbff:28100800:00000000:00001f40:13bae3ff:00000000:00000001:00000000
> virt_caps              : hvm
> total_memory           : 8164
> free_memory            : 50
> node_to_cpu            : node0:0-3
> node_to_memory         : node0:50
> node_to_dma32_mem      : node0:50
> max_node_id            : 0
> xen_major              : 4
> xen_minor              : 0
> xen_extra              : .1
> xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 
> hvm-3.0-x86_32p hvm-3.0-x86_64
> xen_scheduler          : credit
> xen_pagesize           : 4096
> platform_params        : virt_start=0xffff800000000000
> xen_changeset          : unavailable
> xen_commandline        : placeholder dom0_mem=1024M
> cc_compiler            : gcc version 4.4.5 (Debian 4.4.5-8)
> cc_compile_by          : ijc
> cc_compile_domain      : hellion.org.uk
> cc_compile_date        : Wed Apr 17 18:59:41 UTC 2013
> xend_config_format     : 4
>
>
> I am also only a small mention of it in /var/logmessages:
>
> Jun 23 12:13:58 phx-1006 kernel: [3863294.436187] pub: port 2(vif4.0) 
> entering disabled state
>
> I have active-backup bonding setup between two NICs, which might be 
> unrelated to the bug. I then create a bridge using that bonding device 
> in /etc/network/interfaces
>




No longer marked as found in versions linux/2.6.32-48. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 01 Jul 2013 12:30:42 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.32-48. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 01 Jul 2013 12:30:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Thu, 04 Jul 2013 03:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Jul 2013 03:45:04 GMT) Full text and rfc822 format available.

Message #107 received at 701744@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ingo Juergensmann <ij@2013.bluespice.org>, Ward Vandewege <ward@gnu.org>, johnny Strom <johnny.strom@linuxsolutions.fi>, Jean-FrancoisChevrette <jf.cron0@gmail.com>, Jürg Lehni <juerg@scratchdisk.com>, Gabriel Filion <gabster@lelutin.ca>, Marek Isalski <marek@faelix.net>, Drew Hastings <dhastings@crucialwebhost.com>
Cc: 701744@bugs.debian.org
Subject: Xen netback regression
Date: Thu, 04 Jul 2013 04:42:24 +0100
[Message part 1 (text/plain, inline)]
I must apologise for the poor response to this bug report.  It should
have been fixed long ago, and it was fixed upstream in April.  While
there are an overwhelming number of bugs against the kernel, this
regression should have been treated as a particularly high priority.

My understanding is that disabling scatter/gather on netfront in domU
(ethtool -K eth0 sg off) will prevent it from triggering these bugs, but
at a substantial performance impact.  In practice, disabling TSO in domU
(ethtool -K eth0 tso off) should also work and will have a smaller
performance impact.  However, a malicious domU would still be able to
crash dom0.

As Ian requested, the netback fixes were included in Linux 3.2.47 and
thus should appear in the wheezy-proposed-updates suite shortly.  Aside
from that, any regression that occurred as a result of a security update
may also be fixed in a security update, and I hope we will be able to
provide such updates for both Debian 6 (squeeze) and 7 (wheezy) in the
next few weeks.

Ben.

-- 
Ben Hutchings
Tomorrow will be cancelled due to lack of interest.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Thu, 04 Jul 2013 06:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo Jürgensmann <ij@2013.bluespice.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Jul 2013 06:06:05 GMT) Full text and rfc822 format available.

Message #112 received at 701744@bugs.debian.org (full text, mbox):

From: Ingo Jürgensmann <ij@2013.bluespice.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Ward Vandewege <ward@gnu.org>, johnny Strom <johnny.strom@linuxsolutions.fi>, Jean-FrancoisChevrette <jf.cron0@gmail.com>, Jürg Lehni <juerg@scratchdisk.com>, Gabriel Filion <gabster@lelutin.ca>, Marek Isalski <marek@faelix.net>, Drew Hastings <dhastings@crucialwebhost.com>, 701744@bugs.debian.org
Subject: Re: Xen netback regression
Date: Thu, 4 Jul 2013 07:36:40 +0200
Am 04.07.2013 um 05:42 schrieb Ben Hutchings <ben@decadent.org.uk>:

> My understanding is that disabling scatter/gather on netfront in domU
> (ethtool -K eth0 sg off) will prevent it from triggering these bugs, but
> at a substantial performance impact.  In practice, disabling TSO in domU
> (ethtool -K eth0 tso off) should also work and will have a smaller
> performance impact.  However, a malicious domU would still be able to
> crash dom0.

Thanks, Ben, for updating us on this issue!

Crashing dom0 seems to happen on my Cisco C200 M2 server lately, maybe unrelated to this bug, maybe not. At least my server sometimes gets a restart command from the operating system. We see this in the CIMC (management console) logs and Cisco already confirmed that the reboot command is issued by the OS. On the other hand I see absolutely no hint or cause in the system log files, neither on dom0, nor domU nor the hypervisor logs, which makes it difficult to track down the reason for the random reboots of the whole machine. 

I'm using the ethtool workaround in some of my 8 running domUs, but not in all. No ethtool workaround in dom0 as well. 

> As Ian requested, the netback fixes were included in Linux 3.2.47 and
> thus should appear in the wheezy-proposed-updates suite shortly.  Aside
> from that, any regression that occurred as a result of a security update
> may also be fixed in a security update, and I hope we will be able to
> provide such updates for both Debian 6 (squeeze) and 7 (wheezy) in the
> next few weeks.


Do you have a suggestion of "in the next few weeks"? The crashing server really gets annoying: sometimes it reboots several times per day, sometimes it runs for a week or so. We are close to open a TAC case with Cisco about the crashing server, but would like to be sure that it's not the kernel which is causing this, of course. ;)

-- 
Ciao...            //      Fon: 0381-2744150
      Ingo       \X/       http://blog.windfluechter.net


gpg pubkey:  http://www.juergensmann.de/ij_public_key.asc




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sat, 06 Jul 2013 04:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Sat, 06 Jul 2013 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Jul 2013 07:15:04 GMT) Full text and rfc822 format available.

Message #119 received at 701744@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Ben Hutchings <ben@decadent.org.uk>, 701744@bugs.debian.org
Cc: Ingo Juergensmann <ij@2013.bluespice.org>, Ward Vandewege <ward@gnu.org>, johnny Strom <johnny.strom@linuxsolutions.fi>, Jean-FrancoisChevrette <jf.cron0@gmail.com>, Jürg Lehni <juerg@scratchdisk.com>, Gabriel Filion <gabster@lelutin.ca>, Marek Isalski <marek@faelix.net>, Drew Hastings <dhastings@crucialwebhost.com>
Subject: Re: Bug#701744: Xen netback regression
Date: Sat, 06 Jul 2013 08:10:06 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2013-07-04 at 04:42 +0100, Ben Hutchings wrote:
> I must apologise for the poor response to this bug report.  It should
> have been fixed long ago, and it was fixed upstream in April.  While
> there are an overwhelming number of bugs against the kernel, this
> regression should have been treated as a particularly high priority.

This is largely my fault, for not following things through to the end,
sorry. I'm looking at it now.

[...]
> As Ian requested, the netback fixes were included in Linux 3.2.47 and
> thus should appear in the wheezy-proposed-updates suite shortly.  Aside
> from that, any regression that occurred as a result of a security update
> may also be fixed in a security update, and I hope we will be able to
> provide such updates for both Debian 6 (squeeze) and 7 (wheezy) in the
> next few weeks.

I've put my test builds for both squeeze- and wheezy-security up at 
http://xenbits.xen.org/people/ianc/debian/701774/ 

I'm away all of next week so any testing would be much appreciated.

I've not yet pushed to the Debian svn server.

Ian.

squeeze sha1:
65f36304ffb778e17f6526056647333333df7323  linux-headers-2.6.32-5-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
6558256ce542dc6971f08e5e5729eb3e469dd244  linux-image-2.6.32-5-amd64-dbg_2.6.32-48squeeze4~ijc0_amd64.deb
3f582a2161b80108ad724ef41a255f21cefa7111  linux-image-2.6.32-5-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
c6bd7faa9cd3f1106e26bb5202e1a7dee5fef3c5  linux-headers-2.6.32-5-common_2.6.32-48squeeze4~ijc0_amd64.deb
357b27101f0a104c3f64b92ba26901190f6b9888  linux-headers-2.6.32-5-openvz-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
2d9052da70cfcbf845f492e809cb5ca72246461f  linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-48squeeze4~ijc0_amd64.deb
cd42aee403f6438310c63ea7034b567b62d29bf6  linux-image-2.6.32-5-openvz-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
53684d8006b976f10e78ea85efb0db4500f930ed  linux-headers-2.6.32-5-common-openvz_2.6.32-48squeeze4~ijc0_amd64.deb
e5951f3ed479cd13790aef78b0894d1fef411077  linux-headers-2.6.32-5-all_2.6.32-48squeeze4~ijc0_amd64.deb
b47f97e4152feb1de7012244730ab01fe78806b2  linux-headers-2.6.32-5-all-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
4555840f3a6c7bde10a8ab5af2fd16733a4f978d  linux-libc-dev_2.6.32-48squeeze4~ijc0_amd64.deb
f682b410ca525aac93783a493de51c7bae296e66  linux-tools-2.6.32_2.6.32-48squeeze4~ijc0_amd64.deb
cd15f982c502b9a1d2c639ee5d76fd197c6578b9  linux-headers-2.6.32-5-vserver-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
539688dc36c74f52018c4ad67a72693adf98bfd1  linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-48squeeze4~ijc0_amd64.deb
0e8f3190597446b999436ed44c3e5ad7655d444f  linux-image-2.6.32-5-vserver-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
0cb2067a8834ed8fda1059050234d418b62d633b  linux-headers-2.6.32-5-common-vserver_2.6.32-48squeeze4~ijc0_amd64.deb
bea318635fa4a1fd400b0a66ab36e55f6360bb08  linux-headers-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
9c22ffe924a9264f9b48412ee41f9f9c47d1bf63  linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-48squeeze4~ijc0_amd64.deb
0264e97cb2513d44b8b3472df8e011cfc14c0fc7  linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
742c794ca994deab93005d6acf020420de6cf950  xen-linux-system-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
3c8deab3fce62286bd1025b7b2fab86f55a5756c  linux-headers-2.6.32-5-common-xen_2.6.32-48squeeze4~ijc0_amd64.deb
b0f2e5c4faf4974cecdea692494523b4eff6887b  linux-2.6_2.6.32-48squeeze4~ijc0_amd64.changes
1c9278898a81c19804a11f5afb8edfb4567b1beb  linux-2.6_2.6.32.orig.tar.gz
7bd40facb9aec671b5202ec3b92bad8799e5e180  linux-2.6_2.6.32-48squeeze4~ijc0.diff.gz
e8f6fbbf554f616b4d08dd729762ce2b98fedaa5  linux-2.6_2.6.32-48squeeze4~ijc0.dsc

wheezy sha1:
6eb9a8a69053066263a3454cde22c0059d71f56f  linux-headers-3.2.0-4-amd64_3.2.41-2+deb7u3~ijc0_amd64.deb
ff9e884bcff211c44aa24563ba84e88a0a7cfdd3  linux-image-3.2.0-4-amd64-dbg_3.2.41-2+deb7u3~ijc0_amd64.deb
7277a05de0321aa71220b85a8c7ff340c2b31ebb  linux-image-3.2.0-4-amd64_3.2.41-2+deb7u3~ijc0_amd64.deb
3b374bcebc66026403e5aaa73e7b087d1750213b  xen-linux-system-3.2.0-4-amd64_3.2.41-2+deb7u3~ijc0_amd64.deb
1d47cf40d6aaf316290e140a42ff3ff4c4b5e462  linux-headers-3.2.0-4-common_3.2.41-2+deb7u3~ijc0_amd64.deb
0169d90ce5fd835c0f6a77ca04ab3c890acfe3b0  linux-headers-3.2.0-4-all_3.2.41-2+deb7u3~ijc0_amd64.deb
9ad10e6dbecb959ea00e375bdf8bb22895325d8f  linux-headers-3.2.0-4-all-amd64_3.2.41-2+deb7u3~ijc0_amd64.deb
d9f566e2a9430b213f80a1197c7f184ea2e29160  linux-libc-dev_3.2.41-2+deb7u3~ijc0_amd64.deb
74c2d20ccd1c2f9f320986c503184d59e3d82ea8  linux-headers-3.2.0-4-rt-amd64_3.2.41-2+deb7u3~ijc0_amd64.deb
ddf947460ab485e0e1ff832777a0fc0c4ec9882c  linux-image-3.2.0-4-rt-amd64-dbg_3.2.41-2+deb7u3~ijc0_amd64.deb
532a947cfa8977ffa144373a9e15ff3b38088e57  linux-image-3.2.0-4-rt-amd64_3.2.41-2+deb7u3~ijc0_amd64.deb
050c325223ea6b86c45b014809c49be135eb5e1b  linux-headers-3.2.0-4-common-rt_3.2.41-2+deb7u3~ijc0_amd64.deb
1fbcaf9fb956c52b7326ee2eb71f1dc24f13dd38  linux_3.2.41-2+deb7u3~ijc0_amd64.changes
d4962d0510b16c19b77d86969cefe82b068227ed  linux_3.2.41.orig.tar.xz
5e26e969da586c6eaee4c7743991ab020f006e77  linux_3.2.41-2+deb7u3~ijc0.debian.tar.xz
d1fb4968982683e37e278fc8dcd2787f86bdd6c5  linux_3.2.41-2+deb7u3~ijc0.dsc

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Sat, 06 Jul 2013 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Jul 2013 20:48:05 GMT) Full text and rfc822 format available.

Message #124 received at 701744@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 701744@bugs.debian.org, Ingo Juergensmann <ij@2013.bluespice.org>, Ward Vandewege <ward@gnu.org>, johnny Strom <johnny.strom@linuxsolutions.fi>, Jean-FrancoisChevrette <jf.cron0@gmail.com>, Jürg Lehni <juerg@scratchdisk.com>, Gabriel Filion <gabster@lelutin.ca>, Marek Isalski <marek@faelix.net>, Drew Hastings <dhastings@crucialwebhost.com>
Subject: Re: Bug#701744: Xen netback regression
Date: Sat, 06 Jul 2013 21:45:26 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2013-07-06 at 08:10 +0100, Ian Campbell wrote:
> wheezy sha1:

Replaced with a version built on the correct baseline:
abbf6e229470de2848b643c846491ce4b8ec001d  linux_3.2.46.orig.tar.xz
e2168426623b7f518a124f9768d83d4a782ecfa6  linux_3.2.46-1+deb7u1~ijc0.debian.tar.xz
36a6fffda39cfbcf722011d923a43f75245650e8  linux_3.2.46-1+deb7u1~ijc0.dsc
a313adee85c456cca29b224c0cd38e990b6adbb1  linux-headers-3.2.0-4-amd64_3.2.46-1+deb7u1~ijc0_amd64.deb
27c8e63869035e421410b6538219a5a8c5d45be2  linux-image-3.2.0-4-amd64-dbg_3.2.46-1+deb7u1~ijc0_amd64.deb
b4c6ffa0ae38ac6459a6f4105f7ca7c5e6256c3e  linux-image-3.2.0-4-amd64_3.2.46-1+deb7u1~ijc0_amd64.deb
ee579f10535bcd17c31ecb3729d2e3bbed92ff37  xen-linux-system-3.2.0-4-amd64_3.2.46-1+deb7u1~ijc0_amd64.deb
149abf7edfed1f49fbaebe1023e1f66a4db68e0e  linux-headers-3.2.0-4-common_3.2.46-1+deb7u1~ijc0_amd64.deb
c0fdf1820595e9fdb75716c3e73a170deb5441ff  linux-headers-3.2.0-4-all_3.2.46-1+deb7u1~ijc0_amd64.deb
fe45f1ea67846916f61ec78059f5fdebe090d6bd  linux-headers-3.2.0-4-all-amd64_3.2.46-1+deb7u1~ijc0_amd64.deb
79ef6b6984b0dbde4ff55d4864fb81e42cf63835  linux-libc-dev_3.2.46-1+deb7u1~ijc0_amd64.deb
e4c01d6a6444dabfba66d09d5fa719535da852a3  linux-headers-3.2.0-4-rt-amd64_3.2.46-1+deb7u1~ijc0_amd64.deb
0645a6f27f2f1a757fed9792efc725cbd384f470  linux-image-3.2.0-4-rt-amd64-dbg_3.2.46-1+deb7u1~ijc0_amd64.deb
65bfb5b5f667aa6c1abd90c48095a5ade08f1bd4  linux-image-3.2.0-4-rt-amd64_3.2.46-1+deb7u1~ijc0_amd64.deb
3ea78afef3d9c19e847df2e642dd108306360311  linux-headers-3.2.0-4-common-rt_3.2.46-1+deb7u1~ijc0_amd64.deb
154e540ccbaff1ae831b17e1c5ae36d434086a11  linux_3.2.46-1+deb7u1~ijc0_amd64.changes

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Sun, 07 Jul 2013 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Jul 2013 00:27:07 GMT) Full text and rfc822 format available.

Message #129 received at 701744@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ingo Jürgensmann <ij@2013.bluespice.org>
Cc: Ward Vandewege <ward@gnu.org>, johnny Strom <johnny.strom@linuxsolutions.fi>, Jean-FrancoisChevrette <jf.cron0@gmail.com>, Jürg Lehni <juerg@scratchdisk.com>, Gabriel Filion <gabster@lelutin.ca>, Marek Isalski <marek@faelix.net>, Drew Hastings <dhastings@crucialwebhost.com>, 701744@bugs.debian.org
Subject: Re: Xen netback regression
Date: Sun, 07 Jul 2013 01:21:41 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2013-07-04 at 07:36 +0200, Ingo Jürgensmann wrote:
[...]
> > As Ian requested, the netback fixes were included in Linux 3.2.47 and
> > thus should appear in the wheezy-proposed-updates suite shortly.  Aside
> > from that, any regression that occurred as a result of a security update
> > may also be fixed in a security update, and I hope we will be able to
> > provide such updates for both Debian 6 (squeeze) and 7 (wheezy) in the
> > next few weeks.
> 
> 
> Do you have a suggestion of "in the next few weeks"?
[...]

Sorry, I don't know precisely how long it may take.

Ben.

-- 
Ben Hutchings
Tomorrow will be cancelled due to lack of interest.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Mon, 08 Jul 2013 10:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Wollmersdorfer <helmut.wollmersdorfer@fixpunkt.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Jul 2013 10:00:04 GMT) Full text and rfc822 format available.

Message #134 received at 701744@bugs.debian.org (full text, mbox):

From: Helmut Wollmersdorfer <helmut.wollmersdorfer@fixpunkt.de>
To: 701744@bugs.debian.org
Subject: Bug#701744: Xen netback regression
Date: Mon, 8 Jul 2013 11:47:29 +0200
[Message part 1 (text/plain, inline)]
Ian Campbell wrote:
> I've put my test builds for both squeeze- and wheezy-security up at
> http://xenbits.xen.org/people/ianc/debian/701774/

Short answer:

linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb

solves my problem (bonding packet loss).

Tests:

- 2 nodes with base install of squeeze
- apt-get install xen-linux-system ifenslave-2.6
- each node has one single head and one dual head NIC:

root@xen02:/# dmesg | grep eth
[    0.795296] e1000e 0000:05:00.0: eth0: (PCI Express:2.5GB/s:Width  
x1) 00:19:d1:a3:e9:0d
[    0.795299] e1000e 0000:05:00.0: eth0: Intel(R) PRO/1000 Network  
Connection
[    0.795368] e1000e 0000:05:00.0: eth0: MAC: 2, PHY: 2, PBA No:  
FFFFFF-0FF
[    0.869452] igb 0000:02:00.0: eth1: (PCIe:2.5Gb/s:Width x4) 00:1b: 
21:aa:07:10
[    0.869743] igb 0000:02:00.0: eth1: PBA No: G18758-001
[    1.079555] igb 0000:02:00.1: eth2: (PCIe:2.5Gb/s:Width x4) 00:1b: 
21:aa:07:11
[    1.079846] igb 0000:02:00.1: eth2: PBA No: G18758-001

02:00.0 Ethernet controller: Intel Corporation 82576 Gigabit Network  
Connection (rev 01)

- the dual head NICs are configured as bond1 pointopoint:
iface bond1 inet static
        bond-slaves eth1 eth2
        bond-mode 0
        bond-miimon 100
        bond-primary eth1 eth2
        address 10.10.10.12
        netmask 255.255.255.0
        network 10.10.10.255
        pointopoint 10.10.10.10

Test1:

node xen01 runs linux-image-2.6.32-5-xen-amd64_2.6.32-45_amd64
node xen02 runs linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze3_amd64

root@xen02:/home/helmutw# ping 10.10.10.10
[...]
^C
--- 10.10.10.10 ping statistics ---
10 packets transmitted, 7 received, 30% packet loss, time 9022ms
rtt min/avg/max/mdev = 0.026/0.027/0.029/0.003 ms

Test2:

both nodes run linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze3_amd64

packet loss: 100%

Test3:

node xen01 runs linux-image-2.6.32-5-xen-amd64_2.6.32-45_amd64
node xen02 runs linux-image-2.6.32-5-xen- 
amd64_2.6.32-48squeeze4~ijc0_amd64

packet loss: 0%

Test4:

both nodes run linux-image-2.6.32-5-xen- 
amd64_2.6.32-48squeeze4~ijc0_amd64

packet loss: 0%

Obviously these tests say nothing about the other reported problems.

Helmut Wollmersdorfer


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Wed, 10 Jul 2013 13:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Jul 2013 13:09:09 GMT) Full text and rfc822 format available.

Message #139 received at 701744@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: 701744@bugs.debian.org
Subject: fix also confirmed here
Date: Wed, 10 Jul 2013 09:06:49 -0400
[Message part 1 (text/plain, inline)]
We have two machines that are identical here. I had the bug reproduced
fairly reliably on both machines regularly, last week it happened
exactly at the same time.

I installed the squeeze4~ijc0 kernel on one of them this weekend, and
today only the one without the kernel failed.

In other words, the fix works. It would be nice if this would be
deployed through -security quickly, as this affects a lot of our
infrastructure.

A.
-- 
Le pouvoir n'est pas à conquérir, il est à détruire
                        - Jean-François Brient, de la servitude moderne
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Thu, 08 Aug 2013 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "rooter" <chris@c-k.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 08 Aug 2013 11:57:05 GMT) Full text and rfc822 format available.

Message #144 received at 701744@bugs.debian.org (full text, mbox):

From: "rooter" <chris@c-k.ch>
To: <701744@bugs.debian.org>
Subject: Timeline for this bug / how to apply patch
Date: Thu, 8 Aug 2013 13:46:58 +0200
[Message part 1 (text/plain, inline)]
Hello there

 

what about the timeline for fixing this bug?

we are running Linux version 2.6.32-5-xen-amd64 (Debian 2.6.32-48squeeze3)
and we have same problems on a productive server!

 

where i've to install the patch? on dom0 or/and on domU's?

 

which patch i should use?

linux-headers-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb       

linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb

or both?

 

regards, christoph keller

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Thu, 08 Aug 2013 12:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 08 Aug 2013 12:12:14 GMT) Full text and rfc822 format available.

Message #149 received at 701744@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: rooter <chris@c-k.ch>, 701744@bugs.debian.org
Subject: Re: Bug#701744: Timeline for this bug / how to apply patch
Date: Thu, 08 Aug 2013 14:11:07 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2013-08-08 at 13:46 +0200, rooter wrote:
> Hello there
> 
>  
> 
> what about the timeline for fixing this bug?
> 
> we are running Linux version 2.6.32-5-xen-amd64 (Debian
> 2.6.32-48squeeze3) and we have same problems on a productive server!
> 
>  
> 
> where i've to install the patch? on dom0 or/and on domU's?

dom0

> which patch i should use?
> 
> linux-headers-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb       
> 
> linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
> 
> or both?

Just the linux-image package.

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Thu, 08 Aug 2013 12:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 08 Aug 2013 12:21:19 GMT) Full text and rfc822 format available.

Message #154 received at 701744@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: rooter <chris@c-k.ch>, 701744@bugs.debian.org
Subject: Re: Bug#701744: Timeline for this bug / how to apply patch
Date: Thu, 08 Aug 2013 14:09:52 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2013-08-08 at 13:46 +0200, rooter wrote:
> Hello there
> 
>  
> 
> what about the timeline for fixing this bug?
> 
> we are running Linux version 2.6.32-5-xen-amd64 (Debian
> 2.6.32-48squeeze3) and we have same problems on a productive server!
> 
>  
> 
> where i've to install the patch? on dom0 or/and on domU's?

dom0

> which patch i should use?
> 
> linux-headers-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb       
> 
> linux-image-2.6.32-5-xen-amd64_2.6.32-48squeeze4~ijc0_amd64.deb
> 
> or both?

Just the linux-image package.

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Tue, 27 Aug 2013 01:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ward Vandewege <ward@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 27 Aug 2013 01:15:06 GMT) Full text and rfc822 format available.

Message #159 received at 701744@bugs.debian.org (full text, mbox):

From: Ward Vandewege <ward@gnu.org>
To: 701744@bugs.debian.org
Subject: Re: Bug#701744: Xen netback regression
Date: Mon, 26 Aug 2013 20:48:27 -0400
Hi all,

Are there any updates on the final resolution of this bug? It's been a
while, and it's still marked as pending...

Thanks,
Ward.

-- 
Ward Vandewege             | CTO, Free Software Foundation
GPG Key: 25F774AB          | http://status.fsf.org/ward
http://fsf.org/blogs/RSS   | http://identi.ca/cure

Do you use free software? Donate to join the FSF and support freedom at
         http://www.fsf.org/register_form?referrer=859



Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sun, 01 Sep 2013 21:51:04 GMT) Full text and rfc822 format available.

Notification sent to Ingo Juergensmann <ij@2013.bluespice.org>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 21:51:05 GMT) Full text and rfc822 format available.

Message #164 received at 701744-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 701744-close@bugs.debian.org
Subject: Bug#701744: fixed in linux 3.2.46-1+deb7u1
Date: Sun, 01 Sep 2013 21:47:29 +0000
Source: linux
Source-Version: 3.2.46-1+deb7u1

We believe that the bug you reported is fixed in the latest version of
linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Aug 2013 22:00:56 -0600
Source: linux
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-support-3.2.0-4 linux-libc-dev linux-headers-3.2.0-4-all linux-headers-3.2.0-4-all-alpha linux-headers-3.2.0-4-common linux-image-3.2.0-4-alpha-generic linux-headers-3.2.0-4-alpha-generic linux-image-3.2.0-4-alpha-smp linux-headers-3.2.0-4-alpha-smp linux-image-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-all-amd64 kernel-image-3.2.0-4-amd64-di nic-modules-3.2.0-4-amd64-di nic-extra-modules-3.2.0-4-amd64-di nic-wireless-modules-3.2.0-4-amd64-di nic-shared-modules-3.2.0-4-amd64-di serial-modules-3.2.0-4-amd64-di usb-serial-modules-3.2.0-4-amd64-di ppp-modules-3.2.0-4-amd64-di pata-modules-3.2.0-4-amd64-di cdrom-core-modules-3.2.0-4-amd64-di firewire-core-modules-3.2.0-4-amd64-di scsi-core-modules-3.2.0-4-amd64-di scsi-modules-3.2.0-4-amd64-di scsi-common-modules-3.2.0-4-amd64-di scsi-extra-modules-3.2.0-4-amd64-di plip-modules-3.2.0-4-amd64-di floppy-modules-3.2.0-4-amd64-di
 loop-modules-3.2.0-4-amd64-di btrfs-modules-3.2.0-4-amd64-di ext2-modules-3.2.0-4-amd64-di ext3-modules-3.2.0-4-amd64-di ext4-modules-3.2.0-4-amd64-di isofs-modules-3.2.0-4-amd64-di jfs-modules-3.2.0-4-amd64-di ntfs-modules-3.2.0-4-amd64-di reiserfs-modules-3.2.0-4-amd64-di xfs-modules-3.2.0-4-amd64-di fat-modules-3.2.0-4-amd64-di ufs-modules-3.2.0-4-amd64-di qnx4-modules-3.2.0-4-amd64-di md-modules-3.2.0-4-amd64-di multipath-modules-3.2.0-4-amd64-di usb-modules-3.2.0-4-amd64-di usb-storage-modules-3.2.0-4-amd64-di pcmcia-storage-modules-3.2.0-4-amd64-di fb-modules-3.2.0-4-amd64-di input-modules-3.2.0-4-amd64-di event-modules-3.2.0-4-amd64-di mouse-modules-3.2.0-4-amd64-di irda-modules-3.2.0-4-amd64-di parport-modules-3.2.0-4-amd64-di nic-pcmcia-modules-3.2.0-4-amd64-di pcmcia-modules-3.2.0-4-amd64-di nic-usb-modules-3.2.0-4-amd64-di sata-modules-3.2.0-4-amd64-di core-modules-3.2.0-4-amd64-di acpi-modules-3.2.0-4-amd64-di i2c-modules-3.2.0-4-amd64-di
 crc-modules-3.2.0-4-amd64-di crypto-modules-3.2.0-4-amd64-di crypto-dm-modules-3.2.0-4-amd64-di efi-modules-3.2.0-4-amd64-di ata-modules-3.2.0-4-amd64-di mmc-core-modules-3.2.0-4-amd64-di mmc-modules-3.2.0-4-amd64-di nbd-modules-3.2.0-4-amd64-di squashfs-modules-3.2.0-4-amd64-di speakup-modules-3.2.0-4-amd64-di virtio-modules-3.2.0-4-amd64-di uinput-modules-3.2.0-4-amd64-di sound-modules-3.2.0-4-amd64-di zlib-modules-3.2.0-4-amd64-di hyperv-modules-3.2.0-4-amd64-di udf-modules-3.2.0-4-amd64-di fuse-modules-3.2.0-4-amd64-di linux-image-3.2.0-4-amd64 linux-headers-3.2.0-4-amd64 linux-image-3.2.0-4-amd64-dbg xen-linux-system-3.2.0-4-amd64 linux-headers-3.2.0-4-common-rt linux-image-3.2.0-4-rt-amd64 linux-headers-3.2.0-4-rt-amd64 linux-image-3.2.0-4-rt-amd64-dbg linux-headers-3.2.0-4-all-armel kernel-image-3.2.0-4-iop32x-di nic-modules-3.2.0-4-iop32x-di nic-shared-modules-3.2.0-4-iop32x-di usb-serial-modules-3.2.0-4-iop32x-di ppp-modules-3.2.0-4-iop32x-di
 pata-modules-3.2.0-4-iop32x-di cdrom-core-modules-3.2.0-4-iop32x-di scsi-core-modules-3.2.0-4-iop32x-di loop-modules-3.2.0-4-iop32x-di ipv6-modules-3.2.0-4-iop32x-di btrfs-modules-3.2.0-4-iop32x-di ext2-modules-3.2.0-4-iop32x-di ext3-modules-3.2.0-4-iop32x-di ext4-modules-3.2.0-4-iop32x-di isofs-modules-3.2.0-4-iop32x-di jffs2-modules-3.2.0-4-iop32x-di jfs-modules-3.2.0-4-iop32x-di reiserfs-modules-3.2.0-4-iop32x-di fat-modules-3.2.0-4-iop32x-di md-modules-3.2.0-4-iop32x-di multipath-modules-3.2.0-4-iop32x-di usb-modules-3.2.0-4-iop32x-di usb-storage-modules-3.2.0-4-iop32x-di event-modules-3.2.0-4-iop32x-di nic-usb-modules-3.2.0-4-iop32x-di sata-modules-3.2.0-4-iop32x-di core-modules-3.2.0-4-iop32x-di crc-modules-3.2.0-4-iop32x-di crypto-modules-3.2.0-4-iop32x-di crypto-dm-modules-3.2.0-4-iop32x-di ata-modules-3.2.0-4-iop32x-di nbd-modules-3.2.0-4-iop32x-di squashfs-modules-3.2.0-4-iop32x-di zlib-modules-3.2.0-4-iop32x-di udf-modules-3.2.0-4-iop32x-di
 fuse-modules-3.2.0-4-iop32x-di kernel-image-3.2.0-4-kirkwood-di nic-modules-3.2.0-4-kirkwood-di nic-shared-modules-3.2.0-4-kirkwood-di usb-serial-modules-3.2.0-4-kirkwood-di ppp-modules-3.2.0-4-kirkwood-di cdrom-core-modules-3.2.0-4-kirkwood-di scsi-core-modules-3.2.0-4-kirkwood-di loop-modules-3.2.0-4-kirkwood-di ipv6-modules-3.2.0-4-kirkwood-di btrfs-modules-3.2.0-4-kirkwood-di ext2-modules-3.2.0-4-kirkwood-di ext3-modules-3.2.0-4-kirkwood-di ext4-modules-3.2.0-4-kirkwood-di isofs-modules-3.2.0-4-kirkwood-di jfs-modules-3.2.0-4-kirkwood-di reiserfs-modules-3.2.0-4-kirkwood-di fat-modules-3.2.0-4-kirkwood-di minix-modules-3.2.0-4-kirkwood-di md-modules-3.2.0-4-kirkwood-di multipath-modules-3.2.0-4-kirkwood-di usb-modules-3.2.0-4-kirkwood-di usb-storage-modules-3.2.0-4-kirkwood-di fb-modules-3.2.0-4-kirkwood-di input-modules-3.2.0-4-kirkwood-di event-modules-3.2.0-4-kirkwood-di mouse-modules-3.2.0-4-kirkwood-di nic-usb-modules-3.2.0-4-kirkwood-di
 sata-modules-3.2.0-4-kirkwood-di core-modules-3.2.0-4-kirkwood-di crc-modules-3.2.0-4-kirkwood-di crypto-modules-3.2.0-4-kirkwood-di crypto-dm-modules-3.2.0-4-kirkwood-di mmc-modules-3.2.0-4-kirkwood-di nbd-modules-3.2.0-4-kirkwood-di squashfs-modules-3.2.0-4-kirkwood-di uinput-modules-3.2.0-4-kirkwood-di leds-modules-3.2.0-4-kirkwood-di udf-modules-3.2.0-4-kirkwood-di fuse-modules-3.2.0-4-kirkwood-di kernel-image-3.2.0-4-orion5x-di nic-modules-3.2.0-4-orion5x-di nic-shared-modules-3.2.0-4-orion5x-di usb-serial-modules-3.2.0-4-orion5x-di ppp-modules-3.2.0-4-orion5x-di cdrom-core-modules-3.2.0-4-orion5x-di scsi-core-modules-3.2.0-4-orion5x-di loop-modules-3.2.0-4-orion5x-di ipv6-modules-3.2.0-4-orion5x-di btrfs-modules-3.2.0-4-orion5x-di ext2-modules-3.2.0-4-orion5x-di ext3-modules-3.2.0-4-orion5x-di ext4-modules-3.2.0-4-orion5x-di isofs-modules-3.2.0-4-orion5x-di jffs2-modules-3.2.0-4-orion5x-di jfs-modules-3.2.0-4-orion5x-di reiserfs-modules-3.2.0-4-orion5x-di
 fat-modules-3.2.0-4-orion5x-di minix-modules-3.2.0-4-orion5x-di md-modules-3.2.0-4-orion5x-di multipath-modules-3.2.0-4-orion5x-di usb-modules-3.2.0-4-orion5x-di usb-storage-modules-3.2.0-4-orion5x-di event-modules-3.2.0-4-orion5x-di nic-usb-modules-3.2.0-4-orion5x-di sata-modules-3.2.0-4-orion5x-di core-modules-3.2.0-4-orion5x-di crc-modules-3.2.0-4-orion5x-di crypto-modules-3.2.0-4-orion5x-di crypto-dm-modules-3.2.0-4-orion5x-di nbd-modules-3.2.0-4-orion5x-di squashfs-modules-3.2.0-4-orion5x-di zlib-modules-3.2.0-4-orion5x-di udf-modules-3.2.0-4-orion5x-di fuse-modules-3.2.0-4-orion5x-di kernel-image-3.2.0-4-versatile-di nic-modules-3.2.0-4-versatile-di nic-shared-modules-3.2.0-4-versatile-di usb-serial-modules-3.2.0-4-versatile-di ppp-modules-3.2.0-4-versatile-di cdrom-core-modules-3.2.0-4-versatile-di scsi-core-modules-3.2.0-4-versatile-di scsi-common-modules-3.2.0-4-versatile-di loop-modules-3.2.0-4-versatile-di ipv6-modules-3.2.0-4-versatile-di
 btrfs-modules-3.2.0-4-versatile-di ext2-modules-3.2.0-4-versatile-di ext3-modules-3.2.0-4-versatile-di ext4-modules-3.2.0-4-versatile-di isofs-modules-3.2.0-4-versatile-di reiserfs-modules-3.2.0-4-versatile-di fat-modules-3.2.0-4-versatile-di md-modules-3.2.0-4-versatile-di multipath-modules-3.2.0-4-versatile-di usb-modules-3.2.0-4-versatile-di usb-storage-modules-3.2.0-4-versatile-di nic-usb-modules-3.2.0-4-versatile-di sata-modules-3.2.0-4-versatile-di core-modules-3.2.0-4-versatile-di crc-modules-3.2.0-4-versatile-di crypto-modules-3.2.0-4-versatile-di crypto-dm-modules-3.2.0-4-versatile-di nbd-modules-3.2.0-4-versatile-di squashfs-modules-3.2.0-4-versatile-di virtio-modules-3.2.0-4-versatile-di zlib-modules-3.2.0-4-versatile-di udf-modules-3.2.0-4-versatile-di fuse-modules-3.2.0-4-versatile-di linux-image-3.2.0-4-iop32x linux-headers-3.2.0-4-iop32x linux-image-3.2.0-4-ixp4xx linux-headers-3.2.0-4-ixp4xx linux-image-3.2.0-4-kirkwood linux-headers-3.2.0-4-kirkwood
 linux-image-3.2.0-4-mv78xx0 linux-headers-3.2.0-4-mv78xx0 linux-image-3.2.0-4-orion5x linux-headers-3.2.0-4-orion5x linux-image-3.2.0-4-versatile linux-headers-3.2.0-4-versatile linux-headers-3.2.0-4-all-armhf kernel-image-3.2.0-4-mx5-di nic-wireless-modules-3.2.0-4-mx5-di nic-shared-modules-3.2.0-4-mx5-di pata-modules-3.2.0-4-mx5-di scsi-core-modules-3.2.0-4-mx5-di loop-modules-3.2.0-4-mx5-di ipv6-modules-3.2.0-4-mx5-di btrfs-modules-3.2.0-4-mx5-di ext2-modules-3.2.0-4-mx5-di ext3-modules-3.2.0-4-mx5-di ext4-modules-3.2.0-4-mx5-di isofs-modules-3.2.0-4-mx5-di jfs-modules-3.2.0-4-mx5-di reiserfs-modules-3.2.0-4-mx5-di fat-modules-3.2.0-4-mx5-di minix-modules-3.2.0-4-mx5-di md-modules-3.2.0-4-mx5-di multipath-modules-3.2.0-4-mx5-di usb-storage-modules-3.2.0-4-mx5-di input-modules-3.2.0-4-mx5-di nic-usb-modules-3.2.0-4-mx5-di sata-modules-3.2.0-4-mx5-di core-modules-3.2.0-4-mx5-di crc-modules-3.2.0-4-mx5-di crypto-modules-3.2.0-4-mx5-di
 crypto-dm-modules-3.2.0-4-mx5-di ata-modules-3.2.0-4-mx5-di mmc-modules-3.2.0-4-mx5-di nbd-modules-3.2.0-4-mx5-di squashfs-modules-3.2.0-4-mx5-di uinput-modules-3.2.0-4-mx5-di udf-modules-3.2.0-4-mx5-di fuse-modules-3.2.0-4-mx5-di mtd-modules-3.2.0-4-mx5-di kernel-image-3.2.0-4-vexpress-di nic-modules-3.2.0-4-vexpress-di nic-wireless-modules-3.2.0-4-vexpress-di nic-shared-modules-3.2.0-4-vexpress-di scsi-core-modules-3.2.0-4-vexpress-di loop-modules-3.2.0-4-vexpress-di ipv6-modules-3.2.0-4-vexpress-di btrfs-modules-3.2.0-4-vexpress-di ext2-modules-3.2.0-4-vexpress-di ext3-modules-3.2.0-4-vexpress-di ext4-modules-3.2.0-4-vexpress-di isofs-modules-3.2.0-4-vexpress-di jfs-modules-3.2.0-4-vexpress-di fat-modules-3.2.0-4-vexpress-di md-modules-3.2.0-4-vexpress-di multipath-modules-3.2.0-4-vexpress-di usb-modules-3.2.0-4-vexpress-di usb-storage-modules-3.2.0-4-vexpress-di input-modules-3.2.0-4-vexpress-di nic-usb-modules-3.2.0-4-vexpress-di
 core-modules-3.2.0-4-vexpress-di crc-modules-3.2.0-4-vexpress-di crypto-modules-3.2.0-4-vexpress-di crypto-dm-modules-3.2.0-4-vexpress-di mmc-modules-3.2.0-4-vexpress-di nbd-modules-3.2.0-4-vexpress-di squashfs-modules-3.2.0-4-vexpress-di uinput-modules-3.2.0-4-vexpress-di udf-modules-3.2.0-4-vexpress-di fuse-modules-3.2.0-4-vexpress-di linux-image-3.2.0-4-mx5 linux-headers-3.2.0-4-mx5 linux-image-3.2.0-4-omap linux-headers-3.2.0-4-omap linux-image-3.2.0-4-vexpress linux-headers-3.2.0-4-vexpress linux-headers-3.2.0-4-all-hppa kernel-image-3.2.0-4-parisc-di nic-modules-3.2.0-4-parisc-di ppp-modules-3.2.0-4-parisc-di pata-modules-3.2.0-4-parisc-di cdrom-core-modules-3.2.0-4-parisc-di scsi-core-modules-3.2.0-4-parisc-di scsi-modules-3.2.0-4-parisc-di loop-modules-3.2.0-4-parisc-di ipv6-modules-3.2.0-4-parisc-di btrfs-modules-3.2.0-4-parisc-di ext3-modules-3.2.0-4-parisc-di ext4-modules-3.2.0-4-parisc-di fat-modules-3.2.0-4-parisc-di md-modules-3.2.0-4-parisc-di
 multipath-modules-3.2.0-4-parisc-di usb-modules-3.2.0-4-parisc-di usb-storage-modules-3.2.0-4-parisc-di input-modules-3.2.0-4-parisc-di crypto-modules-3.2.0-4-parisc-di crypto-dm-modules-3.2.0-4-parisc-di nbd-modules-3.2.0-4-parisc-di zlib-modules-3.2.0-4-parisc-di fuse-modules-3.2.0-4-parisc-di kernel-image-3.2.0-4-parisc64-di nic-modules-3.2.0-4-parisc64-di ppp-modules-3.2.0-4-parisc64-di pata-modules-3.2.0-4-parisc64-di cdrom-core-modules-3.2.0-4-parisc64-di scsi-core-modules-3.2.0-4-parisc64-di scsi-modules-3.2.0-4-parisc64-di loop-modules-3.2.0-4-parisc64-di ipv6-modules-3.2.0-4-parisc64-di btrfs-modules-3.2.0-4-parisc64-di ext3-modules-3.2.0-4-parisc64-di ext4-modules-3.2.0-4-parisc64-di fat-modules-3.2.0-4-parisc64-di md-modules-3.2.0-4-parisc64-di multipath-modules-3.2.0-4-parisc64-di usb-modules-3.2.0-4-parisc64-di usb-storage-modules-3.2.0-4-parisc64-di input-modules-3.2.0-4-parisc64-di crypto-modules-3.2.0-4-parisc64-di
 crypto-dm-modules-3.2.0-4-parisc64-di nbd-modules-3.2.0-4-parisc64-di zlib-modules-3.2.0-4-parisc64-di fuse-modules-3.2.0-4-parisc64-di linux-image-3.2.0-4-parisc linux-headers-3.2.0-4-parisc linux-image-3.2.0-4-parisc-smp linux-headers-3.2.0-4-parisc-smp linux-image-3.2.0-4-parisc64 linux-headers-3.2.0-4-parisc64 linux-image-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-all-i386 kernel-image-3.2.0-4-486-di nic-modules-3.2.0-4-486-di nic-extra-modules-3.2.0-4-486-di nic-wireless-modules-3.2.0-4-486-di nic-shared-modules-3.2.0-4-486-di serial-modules-3.2.0-4-486-di usb-serial-modules-3.2.0-4-486-di ppp-modules-3.2.0-4-486-di pata-modules-3.2.0-4-486-di cdrom-core-modules-3.2.0-4-486-di firewire-core-modules-3.2.0-4-486-di scsi-core-modules-3.2.0-4-486-di scsi-modules-3.2.0-4-486-di scsi-common-modules-3.2.0-4-486-di scsi-extra-modules-3.2.0-4-486-di plip-modules-3.2.0-4-486-di floppy-modules-3.2.0-4-486-di loop-modules-3.2.0-4-486-di
 btrfs-modules-3.2.0-4-486-di ext2-modules-3.2.0-4-486-di ext3-modules-3.2.0-4-486-di ext4-modules-3.2.0-4-486-di isofs-modules-3.2.0-4-486-di jfs-modules-3.2.0-4-486-di ntfs-modules-3.2.0-4-486-di reiserfs-modules-3.2.0-4-486-di xfs-modules-3.2.0-4-486-di fat-modules-3.2.0-4-486-di ufs-modules-3.2.0-4-486-di qnx4-modules-3.2.0-4-486-di md-modules-3.2.0-4-486-di multipath-modules-3.2.0-4-486-di usb-modules-3.2.0-4-486-di usb-storage-modules-3.2.0-4-486-di pcmcia-storage-modules-3.2.0-4-486-di fb-modules-3.2.0-4-486-di input-modules-3.2.0-4-486-di event-modules-3.2.0-4-486-di mouse-modules-3.2.0-4-486-di irda-modules-3.2.0-4-486-di parport-modules-3.2.0-4-486-di nic-pcmcia-modules-3.2.0-4-486-di pcmcia-modules-3.2.0-4-486-di nic-usb-modules-3.2.0-4-486-di sata-modules-3.2.0-4-486-di core-modules-3.2.0-4-486-di acpi-modules-3.2.0-4-486-di i2c-modules-3.2.0-4-486-di crc-modules-3.2.0-4-486-di crypto-modules-3.2.0-4-486-di crypto-dm-modules-3.2.0-4-486-di
 efi-modules-3.2.0-4-486-di ata-modules-3.2.0-4-486-di mmc-core-modules-3.2.0-4-486-di mmc-modules-3.2.0-4-486-di nbd-modules-3.2.0-4-486-di squashfs-modules-3.2.0-4-486-di speakup-modules-3.2.0-4-486-di virtio-modules-3.2.0-4-486-di uinput-modules-3.2.0-4-486-di sound-modules-3.2.0-4-486-di zlib-modules-3.2.0-4-486-di hyperv-modules-3.2.0-4-486-di udf-modules-3.2.0-4-486-di fuse-modules-3.2.0-4-486-di kernel-image-3.2.0-4-686-pae-di nic-modules-3.2.0-4-686-pae-di nic-extra-modules-3.2.0-4-686-pae-di nic-wireless-modules-3.2.0-4-686-pae-di nic-shared-modules-3.2.0-4-686-pae-di serial-modules-3.2.0-4-686-pae-di usb-serial-modules-3.2.0-4-686-pae-di ppp-modules-3.2.0-4-686-pae-di pata-modules-3.2.0-4-686-pae-di cdrom-core-modules-3.2.0-4-686-pae-di firewire-core-modules-3.2.0-4-686-pae-di scsi-core-modules-3.2.0-4-686-pae-di scsi-modules-3.2.0-4-686-pae-di scsi-common-modules-3.2.0-4-686-pae-di scsi-extra-modules-3.2.0-4-686-pae-di plip-modules-3.2.0-4-686-pae-di
 floppy-modules-3.2.0-4-686-pae-di loop-modules-3.2.0-4-686-pae-di btrfs-modules-3.2.0-4-686-pae-di ext2-modules-3.2.0-4-686-pae-di ext3-modules-3.2.0-4-686-pae-di ext4-modules-3.2.0-4-686-pae-di isofs-modules-3.2.0-4-686-pae-di jfs-modules-3.2.0-4-686-pae-di ntfs-modules-3.2.0-4-686-pae-di reiserfs-modules-3.2.0-4-686-pae-di xfs-modules-3.2.0-4-686-pae-di fat-modules-3.2.0-4-686-pae-di ufs-modules-3.2.0-4-686-pae-di qnx4-modules-3.2.0-4-686-pae-di md-modules-3.2.0-4-686-pae-di multipath-modules-3.2.0-4-686-pae-di usb-modules-3.2.0-4-686-pae-di usb-storage-modules-3.2.0-4-686-pae-di pcmcia-storage-modules-3.2.0-4-686-pae-di fb-modules-3.2.0-4-686-pae-di input-modules-3.2.0-4-686-pae-di event-modules-3.2.0-4-686-pae-di mouse-modules-3.2.0-4-686-pae-di irda-modules-3.2.0-4-686-pae-di parport-modules-3.2.0-4-686-pae-di nic-pcmcia-modules-3.2.0-4-686-pae-di pcmcia-modules-3.2.0-4-686-pae-di nic-usb-modules-3.2.0-4-686-pae-di sata-modules-3.2.0-4-686-pae-di
 core-modules-3.2.0-4-686-pae-di acpi-modules-3.2.0-4-686-pae-di i2c-modules-3.2.0-4-686-pae-di crc-modules-3.2.0-4-686-pae-di crypto-modules-3.2.0-4-686-pae-di crypto-dm-modules-3.2.0-4-686-pae-di efi-modules-3.2.0-4-686-pae-di ata-modules-3.2.0-4-686-pae-di mmc-core-modules-3.2.0-4-686-pae-di mmc-modules-3.2.0-4-686-pae-di nbd-modules-3.2.0-4-686-pae-di squashfs-modules-3.2.0-4-686-pae-di speakup-modules-3.2.0-4-686-pae-di virtio-modules-3.2.0-4-686-pae-di uinput-modules-3.2.0-4-686-pae-di sound-modules-3.2.0-4-686-pae-di zlib-modules-3.2.0-4-686-pae-di hyperv-modules-3.2.0-4-686-pae-di udf-modules-3.2.0-4-686-pae-di fuse-modules-3.2.0-4-686-pae-di linux-image-3.2.0-4-486 linux-headers-3.2.0-4-486 linux-image-3.2.0-4-686-pae linux-headers-3.2.0-4-686-pae linux-image-3.2.0-4-686-pae-dbg xen-linux-system-3.2.0-4-686-pae linux-image-3.2.0-4-rt-686-pae linux-headers-3.2.0-4-rt-686-pae linux-image-3.2.0-4-rt-686-pae-dbg linux-headers-3.2.0-4-all-ia64
 kernel-image-3.2.0-4-itanium-di nic-modules-3.2.0-4-itanium-di nic-shared-modules-3.2.0-4-itanium-di serial-modules-3.2.0-4-itanium-di ppp-modules-3.2.0-4-itanium-di ide-modules-3.2.0-4-itanium-di pata-modules-3.2.0-4-itanium-di ide-core-modules-3.2.0-4-itanium-di cdrom-core-modules-3.2.0-4-itanium-di firewire-core-modules-3.2.0-4-itanium-di scsi-core-modules-3.2.0-4-itanium-di scsi-modules-3.2.0-4-itanium-di plip-modules-3.2.0-4-itanium-di loop-modules-3.2.0-4-itanium-di btrfs-modules-3.2.0-4-itanium-di ext2-modules-3.2.0-4-itanium-di ext3-modules-3.2.0-4-itanium-di ext4-modules-3.2.0-4-itanium-di isofs-modules-3.2.0-4-itanium-di jfs-modules-3.2.0-4-itanium-di ntfs-modules-3.2.0-4-itanium-di reiserfs-modules-3.2.0-4-itanium-di xfs-modules-3.2.0-4-itanium-di fat-modules-3.2.0-4-itanium-di ufs-modules-3.2.0-4-itanium-di md-modules-3.2.0-4-itanium-di multipath-modules-3.2.0-4-itanium-di usb-modules-3.2.0-4-itanium-di usb-storage-modules-3.2.0-4-itanium-di
 fb-modules-3.2.0-4-itanium-di input-modules-3.2.0-4-itanium-di event-modules-3.2.0-4-itanium-di mouse-modules-3.2.0-4-itanium-di irda-modules-3.2.0-4-itanium-di parport-modules-3.2.0-4-itanium-di pcmcia-modules-3.2.0-4-itanium-di nic-usb-modules-3.2.0-4-itanium-di sata-modules-3.2.0-4-itanium-di core-modules-3.2.0-4-itanium-di crc-modules-3.2.0-4-itanium-di crypto-modules-3.2.0-4-itanium-di crypto-dm-modules-3.2.0-4-itanium-di ata-modules-3.2.0-4-itanium-di nbd-modules-3.2.0-4-itanium-di squashfs-modules-3.2.0-4-itanium-di uinput-modules-3.2.0-4-itanium-di zlib-modules-3.2.0-4-itanium-di udf-modules-3.2.0-4-itanium-di fuse-modules-3.2.0-4-itanium-di sn-modules-3.2.0-4-itanium-di linux-image-3.2.0-4-itanium linux-headers-3.2.0-4-itanium linux-image-3.2.0-4-mckinley linux-headers-3.2.0-4-mckinley linux-headers-3.2.0-4-all-m68k kernel-image-3.2.0-4-amiga-di nic-shared-modules-3.2.0-4-amiga-di ppp-modules-3.2.0-4-amiga-di cdrom-core-modules-3.2.0-4-amiga-di
 scsi-modules-3.2.0-4-amiga-di ipv6-modules-3.2.0-4-amiga-di btrfs-modules-3.2.0-4-amiga-di isofs-modules-3.2.0-4-amiga-di jfs-modules-3.2.0-4-amiga-di reiserfs-modules-3.2.0-4-amiga-di fat-modules-3.2.0-4-amiga-di md-modules-3.2.0-4-amiga-di crypto-modules-3.2.0-4-amiga-di nbd-modules-3.2.0-4-amiga-di squashfs-modules-3.2.0-4-amiga-di zlib-modules-3.2.0-4-amiga-di udf-modules-3.2.0-4-amiga-di fuse-modules-3.2.0-4-amiga-di kernel-image-3.2.0-4-atari-di nic-shared-modules-3.2.0-4-atari-di ppp-modules-3.2.0-4-atari-di cdrom-core-modules-3.2.0-4-atari-di scsi-modules-3.2.0-4-atari-di ipv6-modules-3.2.0-4-atari-di btrfs-modules-3.2.0-4-atari-di isofs-modules-3.2.0-4-atari-di jfs-modules-3.2.0-4-atari-di reiserfs-modules-3.2.0-4-atari-di fat-modules-3.2.0-4-atari-di md-modules-3.2.0-4-atari-di crypto-modules-3.2.0-4-atari-di nbd-modules-3.2.0-4-atari-di squashfs-modules-3.2.0-4-atari-di zlib-modules-3.2.0-4-atari-di udf-modules-3.2.0-4-atari-di
 fuse-modules-3.2.0-4-atari-di kernel-image-3.2.0-4-mac-di nic-shared-modules-3.2.0-4-mac-di ppp-modules-3.2.0-4-mac-di cdrom-core-modules-3.2.0-4-mac-di scsi-modules-3.2.0-4-mac-di ipv6-modules-3.2.0-4-mac-di btrfs-modules-3.2.0-4-mac-di isofs-modules-3.2.0-4-mac-di jfs-modules-3.2.0-4-mac-di reiserfs-modules-3.2.0-4-mac-di fat-modules-3.2.0-4-mac-di md-modules-3.2.0-4-mac-di crypto-modules-3.2.0-4-mac-di nbd-modules-3.2.0-4-mac-di squashfs-modules-3.2.0-4-mac-di zlib-modules-3.2.0-4-mac-di udf-modules-3.2.0-4-mac-di fuse-modules-3.2.0-4-mac-di linux-image-3.2.0-4-amiga linux-headers-3.2.0-4-amiga linux-image-3.2.0-4-atari linux-headers-3.2.0-4-atari linux-image-3.2.0-4-bvme6000 linux-headers-3.2.0-4-bvme6000 linux-image-3.2.0-4-mac linux-headers-3.2.0-4-mac linux-image-3.2.0-4-mvme147 linux-headers-3.2.0-4-mvme147 linux-image-3.2.0-4-mvme16x linux-headers-3.2.0-4-mvme16x linux-headers-3.2.0-4-all-mips kernel-image-3.2.0-4-sb1-bcm91250a-di
 nic-shared-modules-3.2.0-4-sb1-bcm91250a-di ppp-modules-3.2.0-4-sb1-bcm91250a-di cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-modules-3.2.0-4-sb1-bcm91250a-di scsi-common-modules-3.2.0-4-sb1-bcm91250a-di loop-modules-3.2.0-4-sb1-bcm91250a-di ipv6-modules-3.2.0-4-sb1-bcm91250a-di btrfs-modules-3.2.0-4-sb1-bcm91250a-di isofs-modules-3.2.0-4-sb1-bcm91250a-di jfs-modules-3.2.0-4-sb1-bcm91250a-di reiserfs-modules-3.2.0-4-sb1-bcm91250a-di xfs-modules-3.2.0-4-sb1-bcm91250a-di fat-modules-3.2.0-4-sb1-bcm91250a-di md-modules-3.2.0-4-sb1-bcm91250a-di multipath-modules-3.2.0-4-sb1-bcm91250a-di usb-modules-3.2.0-4-sb1-bcm91250a-di usb-storage-modules-3.2.0-4-sb1-bcm91250a-di fb-modules-3.2.0-4-sb1-bcm91250a-di input-modules-3.2.0-4-sb1-bcm91250a-di sata-modules-3.2.0-4-sb1-bcm91250a-di crypto-modules-3.2.0-4-sb1-bcm91250a-di crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di nbd-modules-3.2.0-4-sb1-bcm91250a-di
 squashfs-modules-3.2.0-4-sb1-bcm91250a-di rtc-modules-3.2.0-4-sb1-bcm91250a-di zlib-modules-3.2.0-4-sb1-bcm91250a-di udf-modules-3.2.0-4-sb1-bcm91250a-di fuse-modules-3.2.0-4-sb1-bcm91250a-di kernel-image-3.2.0-4-r4k-ip22-di nic-shared-modules-3.2.0-4-r4k-ip22-di loop-modules-3.2.0-4-r4k-ip22-di ipv6-modules-3.2.0-4-r4k-ip22-di btrfs-modules-3.2.0-4-r4k-ip22-di isofs-modules-3.2.0-4-r4k-ip22-di jfs-modules-3.2.0-4-r4k-ip22-di reiserfs-modules-3.2.0-4-r4k-ip22-di xfs-modules-3.2.0-4-r4k-ip22-di md-modules-3.2.0-4-r4k-ip22-di multipath-modules-3.2.0-4-r4k-ip22-di crypto-modules-3.2.0-4-r4k-ip22-di crypto-dm-modules-3.2.0-4-r4k-ip22-di nbd-modules-3.2.0-4-r4k-ip22-di squashfs-modules-3.2.0-4-r4k-ip22-di zlib-modules-3.2.0-4-r4k-ip22-di udf-modules-3.2.0-4-r4k-ip22-di fuse-modules-3.2.0-4-r4k-ip22-di kernel-image-3.2.0-4-r5k-ip32-di nic-shared-modules-3.2.0-4-r5k-ip32-di loop-modules-3.2.0-4-r5k-ip32-di ipv6-modules-3.2.0-4-r5k-ip32-di btrfs-modules-3.2.0-4-r5k-ip32-di
 isofs-modules-3.2.0-4-r5k-ip32-di jfs-modules-3.2.0-4-r5k-ip32-di reiserfs-modules-3.2.0-4-r5k-ip32-di xfs-modules-3.2.0-4-r5k-ip32-di md-modules-3.2.0-4-r5k-ip32-di multipath-modules-3.2.0-4-r5k-ip32-di crypto-modules-3.2.0-4-r5k-ip32-di crypto-dm-modules-3.2.0-4-r5k-ip32-di nbd-modules-3.2.0-4-r5k-ip32-di squashfs-modules-3.2.0-4-r5k-ip32-di zlib-modules-3.2.0-4-r5k-ip32-di udf-modules-3.2.0-4-r5k-ip32-di fuse-modules-3.2.0-4-r5k-ip32-di kernel-image-3.2.0-4-4kc-malta-di ppp-modules-3.2.0-4-4kc-malta-di cdrom-core-modules-3.2.0-4-4kc-malta-di loop-modules-3.2.0-4-4kc-malta-di ipv6-modules-3.2.0-4-4kc-malta-di btrfs-modules-3.2.0-4-4kc-malta-di isofs-modules-3.2.0-4-4kc-malta-di jfs-modules-3.2.0-4-4kc-malta-di reiserfs-modules-3.2.0-4-4kc-malta-di xfs-modules-3.2.0-4-4kc-malta-di fat-modules-3.2.0-4-4kc-malta-di md-modules-3.2.0-4-4kc-malta-di multipath-modules-3.2.0-4-4kc-malta-di usb-modules-3.2.0-4-4kc-malta-di usb-storage-modules-3.2.0-4-4kc-malta-di
 input-modules-3.2.0-4-4kc-malta-di sata-modules-3.2.0-4-4kc-malta-di crypto-modules-3.2.0-4-4kc-malta-di crypto-dm-modules-3.2.0-4-4kc-malta-di nbd-modules-3.2.0-4-4kc-malta-di squashfs-modules-3.2.0-4-4kc-malta-di virtio-modules-3.2.0-4-4kc-malta-di zlib-modules-3.2.0-4-4kc-malta-di udf-modules-3.2.0-4-4kc-malta-di fuse-modules-3.2.0-4-4kc-malta-di linux-image-3.2.0-4-r4k-ip22 linux-headers-3.2.0-4-r4k-ip22 linux-image-3.2.0-4-r5k-ip32 linux-headers-3.2.0-4-r5k-ip32 linux-image-3.2.0-4-sb1-bcm91250a linux-headers-3.2.0-4-sb1-bcm91250a linux-image-3.2.0-4-sb1a-bcm91480b linux-headers-3.2.0-4-sb1a-bcm91480b linux-image-3.2.0-4-4kc-malta linux-headers-3.2.0-4-4kc-malta linux-image-3.2.0-4-5kc-malta linux-headers-3.2.0-4-5kc-malta linux-image-3.2.0-4-octeon linux-headers-3.2.0-4-octeon linux-headers-3.2.0-4-all-mipsel kernel-image-3.2.0-4-r5k-cobalt-di nic-shared-modules-3.2.0-4-r5k-cobalt-di ppp-modules-3.2.0-4-r5k-cobalt-di loop-modules-3.2.0-4-r5k-cobalt-di
 ipv6-modules-3.2.0-4-r5k-cobalt-di btrfs-modules-3.2.0-4-r5k-cobalt-di jfs-modules-3.2.0-4-r5k-cobalt-di reiserfs-modules-3.2.0-4-r5k-cobalt-di xfs-modules-3.2.0-4-r5k-cobalt-di fat-modules-3.2.0-4-r5k-cobalt-di nfs-modules-3.2.0-4-r5k-cobalt-di md-modules-3.2.0-4-r5k-cobalt-di multipath-modules-3.2.0-4-r5k-cobalt-di crypto-modules-3.2.0-4-r5k-cobalt-di crypto-dm-modules-3.2.0-4-r5k-cobalt-di nbd-modules-3.2.0-4-r5k-cobalt-di squashfs-modules-3.2.0-4-r5k-cobalt-di zlib-modules-3.2.0-4-r5k-cobalt-di fuse-modules-3.2.0-4-r5k-cobalt-di kernel-image-3.2.0-4-loongson-2f-di nic-modules-3.2.0-4-loongson-2f-di nic-shared-modules-3.2.0-4-loongson-2f-di ppp-modules-3.2.0-4-loongson-2f-di cdrom-core-modules-3.2.0-4-loongson-2f-di loop-modules-3.2.0-4-loongson-2f-di ipv6-modules-3.2.0-4-loongson-2f-di btrfs-modules-3.2.0-4-loongson-2f-di isofs-modules-3.2.0-4-loongson-2f-di jfs-modules-3.2.0-4-loongson-2f-di reiserfs-modules-3.2.0-4-loongson-2f-di
 xfs-modules-3.2.0-4-loongson-2f-di fat-modules-3.2.0-4-loongson-2f-di md-modules-3.2.0-4-loongson-2f-di multipath-modules-3.2.0-4-loongson-2f-di usb-modules-3.2.0-4-loongson-2f-di usb-storage-modules-3.2.0-4-loongson-2f-di input-modules-3.2.0-4-loongson-2f-di nic-usb-modules-3.2.0-4-loongson-2f-di sata-modules-3.2.0-4-loongson-2f-di crypto-modules-3.2.0-4-loongson-2f-di crypto-dm-modules-3.2.0-4-loongson-2f-di nbd-modules-3.2.0-4-loongson-2f-di squashfs-modules-3.2.0-4-loongson-2f-di virtio-modules-3.2.0-4-loongson-2f-di zlib-modules-3.2.0-4-loongson-2f-di udf-modules-3.2.0-4-loongson-2f-di fuse-modules-3.2.0-4-loongson-2f-di linux-image-3.2.0-4-r5k-cobalt linux-headers-3.2.0-4-r5k-cobalt linux-image-3.2.0-4-loongson-2f linux-headers-3.2.0-4-loongson-2f linux-headers-3.2.0-4-all-powerpc kernel-image-3.2.0-4-powerpc-di nic-modules-3.2.0-4-powerpc-di nic-extra-modules-3.2.0-4-powerpc-di nic-shared-modules-3.2.0-4-powerpc-di serial-modules-3.2.0-4-powerpc-di
 usb-serial-modules-3.2.0-4-powerpc-di ppp-modules-3.2.0-4-powerpc-di pata-modules-3.2.0-4-powerpc-di cdrom-core-modules-3.2.0-4-powerpc-di firewire-core-modules-3.2.0-4-powerpc-di scsi-core-modules-3.2.0-4-powerpc-di scsi-modules-3.2.0-4-powerpc-di scsi-common-modules-3.2.0-4-powerpc-di scsi-extra-modules-3.2.0-4-powerpc-di floppy-modules-3.2.0-4-powerpc-di loop-modules-3.2.0-4-powerpc-di btrfs-modules-3.2.0-4-powerpc-di ext2-modules-3.2.0-4-powerpc-di ext3-modules-3.2.0-4-powerpc-di ext4-modules-3.2.0-4-powerpc-di isofs-modules-3.2.0-4-powerpc-di jfs-modules-3.2.0-4-powerpc-di reiserfs-modules-3.2.0-4-powerpc-di xfs-modules-3.2.0-4-powerpc-di fat-modules-3.2.0-4-powerpc-di hfs-modules-3.2.0-4-powerpc-di affs-modules-3.2.0-4-powerpc-di ufs-modules-3.2.0-4-powerpc-di md-modules-3.2.0-4-powerpc-di multipath-modules-3.2.0-4-powerpc-di usb-modules-3.2.0-4-powerpc-di usb-storage-modules-3.2.0-4-powerpc-di pcmcia-storage-modules-3.2.0-4-powerpc-di
 input-modules-3.2.0-4-powerpc-di event-modules-3.2.0-4-powerpc-di mouse-modules-3.2.0-4-powerpc-di irda-modules-3.2.0-4-powerpc-di nic-pcmcia-modules-3.2.0-4-powerpc-di pcmcia-modules-3.2.0-4-powerpc-di sata-modules-3.2.0-4-powerpc-di core-modules-3.2.0-4-powerpc-di crc-modules-3.2.0-4-powerpc-di crypto-modules-3.2.0-4-powerpc-di crypto-dm-modules-3.2.0-4-powerpc-di ata-modules-3.2.0-4-powerpc-di nbd-modules-3.2.0-4-powerpc-di squashfs-modules-3.2.0-4-powerpc-di virtio-modules-3.2.0-4-powerpc-di uinput-modules-3.2.0-4-powerpc-di zlib-modules-3.2.0-4-powerpc-di udf-modules-3.2.0-4-powerpc-di fuse-modules-3.2.0-4-powerpc-di kernel-image-3.2.0-4-powerpc64-di nic-modules-3.2.0-4-powerpc64-di nic-extra-modules-3.2.0-4-powerpc64-di nic-shared-modules-3.2.0-4-powerpc64-di serial-modules-3.2.0-4-powerpc64-di usb-serial-modules-3.2.0-4-powerpc64-di ppp-modules-3.2.0-4-powerpc64-di pata-modules-3.2.0-4-powerpc64-di cdrom-core-modules-3.2.0-4-powerpc64-di
 firewire-core-modules-3.2.0-4-powerpc64-di scsi-core-modules-3.2.0-4-powerpc64-di scsi-modules-3.2.0-4-powerpc64-di scsi-common-modules-3.2.0-4-powerpc64-di scsi-extra-modules-3.2.0-4-powerpc64-di floppy-modules-3.2.0-4-powerpc64-di loop-modules-3.2.0-4-powerpc64-di btrfs-modules-3.2.0-4-powerpc64-di ext2-modules-3.2.0-4-powerpc64-di ext3-modules-3.2.0-4-powerpc64-di ext4-modules-3.2.0-4-powerpc64-di isofs-modules-3.2.0-4-powerpc64-di jfs-modules-3.2.0-4-powerpc64-di reiserfs-modules-3.2.0-4-powerpc64-di xfs-modules-3.2.0-4-powerpc64-di fat-modules-3.2.0-4-powerpc64-di hfs-modules-3.2.0-4-powerpc64-di affs-modules-3.2.0-4-powerpc64-di ufs-modules-3.2.0-4-powerpc64-di md-modules-3.2.0-4-powerpc64-di multipath-modules-3.2.0-4-powerpc64-di usb-modules-3.2.0-4-powerpc64-di usb-storage-modules-3.2.0-4-powerpc64-di pcmcia-storage-modules-3.2.0-4-powerpc64-di input-modules-3.2.0-4-powerpc64-di event-modules-3.2.0-4-powerpc64-di mouse-modules-3.2.0-4-powerpc64-di
 irda-modules-3.2.0-4-powerpc64-di nic-pcmcia-modules-3.2.0-4-powerpc64-di pcmcia-modules-3.2.0-4-powerpc64-di sata-modules-3.2.0-4-powerpc64-di core-modules-3.2.0-4-powerpc64-di crc-modules-3.2.0-4-powerpc64-di crypto-modules-3.2.0-4-powerpc64-di crypto-dm-modules-3.2.0-4-powerpc64-di ata-modules-3.2.0-4-powerpc64-di nbd-modules-3.2.0-4-powerpc64-di squashfs-modules-3.2.0-4-powerpc64-di virtio-modules-3.2.0-4-powerpc64-di uinput-modules-3.2.0-4-powerpc64-di udf-modules-3.2.0-4-powerpc64-di fuse-modules-3.2.0-4-powerpc64-di hypervisor-modules-3.2.0-4-powerpc64-di fancontrol-modules-3.2.0-4-powerpc64-di linux-image-3.2.0-4-powerpc linux-headers-3.2.0-4-powerpc linux-image-3.2.0-4-powerpc-smp linux-headers-3.2.0-4-powerpc-smp linux-image-3.2.0-4-powerpc64 linux-headers-3.2.0-4-powerpc64 linux-headers-3.2.0-4-all-ppc64 linux-headers-3.2.0-4-all-s390 kernel-image-3.2.0-4-s390x-di nic-modules-3.2.0-4-s390x-di scsi-core-modules-3.2.0-4-s390x-di
 scsi-modules-3.2.0-4-s390x-di ext2-modules-3.2.0-4-s390x-di ext3-modules-3.2.0-4-s390x-di ext4-modules-3.2.0-4-s390x-di xfs-modules-3.2.0-4-s390x-di fat-modules-3.2.0-4-s390x-di md-modules-3.2.0-4-s390x-di multipath-modules-3.2.0-4-s390x-di core-modules-3.2.0-4-s390x-di crypto-modules-3.2.0-4-s390x-di crypto-dm-modules-3.2.0-4-s390x-di nbd-modules-3.2.0-4-s390x-di virtio-modules-3.2.0-4-s390x-di fuse-modules-3.2.0-4-s390x-di dasd-modules-3.2.0-4-s390x-di dasd-extra-modules-3.2.0-4-s390x-di kernel-image-3.2.0-4-s390x-tape-di linux-image-3.2.0-4-s390x linux-headers-3.2.0-4-s390x linux-image-3.2.0-4-s390x-dbg linux-image-3.2.0-4-s390x-tape linux-headers-3.2.0-4-all-s390x linux-headers-3.2.0-4-all-sh4 kernel-image-3.2.0-4-sh7751r-di nic-modules-3.2.0-4-sh7751r-di usb-serial-modules-3.2.0-4-sh7751r-di ppp-modules-3.2.0-4-sh7751r-di pata-modules-3.2.0-4-sh7751r-di cdrom-core-modules-3.2.0-4-sh7751r-di firewire-core-modules-3.2.0-4-sh7751r-di
 scsi-core-modules-3.2.0-4-sh7751r-di loop-modules-3.2.0-4-sh7751r-di ipv6-modules-3.2.0-4-sh7751r-di btrfs-modules-3.2.0-4-sh7751r-di ext2-modules-3.2.0-4-sh7751r-di ext4-modules-3.2.0-4-sh7751r-di isofs-modules-3.2.0-4-sh7751r-di jfs-modules-3.2.0-4-sh7751r-di reiserfs-modules-3.2.0-4-sh7751r-di xfs-modules-3.2.0-4-sh7751r-di fat-modules-3.2.0-4-sh7751r-di ufs-modules-3.2.0-4-sh7751r-di minix-modules-3.2.0-4-sh7751r-di md-modules-3.2.0-4-sh7751r-di multipath-modules-3.2.0-4-sh7751r-di usb-storage-modules-3.2.0-4-sh7751r-di parport-modules-3.2.0-4-sh7751r-di nic-usb-modules-3.2.0-4-sh7751r-di sata-modules-3.2.0-4-sh7751r-di i2c-modules-3.2.0-4-sh7751r-di crc-modules-3.2.0-4-sh7751r-di crypto-modules-3.2.0-4-sh7751r-di crypto-dm-modules-3.2.0-4-sh7751r-di nbd-modules-3.2.0-4-sh7751r-di squashfs-modules-3.2.0-4-sh7751r-di speakup-modules-3.2.0-4-sh7751r-di virtio-modules-3.2.0-4-sh7751r-di sound-modules-3.2.0-4-sh7751r-di zlib-modules-3.2.0-4-sh7751r-di
 udf-modules-3.2.0-4-sh7751r-di fuse-modules-3.2.0-4-sh7751r-di kernel-image-3.2.0-4-sh7785lcr-di nic-modules-3.2.0-4-sh7785lcr-di usb-serial-modules-3.2.0-4-sh7785lcr-di ppp-modules-3.2.0-4-sh7785lcr-di pata-modules-3.2.0-4-sh7785lcr-di cdrom-core-modules-3.2.0-4-sh7785lcr-di firewire-core-modules-3.2.0-4-sh7785lcr-di scsi-core-modules-3.2.0-4-sh7785lcr-di loop-modules-3.2.0-4-sh7785lcr-di ipv6-modules-3.2.0-4-sh7785lcr-di btrfs-modules-3.2.0-4-sh7785lcr-di ext2-modules-3.2.0-4-sh7785lcr-di ext4-modules-3.2.0-4-sh7785lcr-di isofs-modules-3.2.0-4-sh7785lcr-di jfs-modules-3.2.0-4-sh7785lcr-di reiserfs-modules-3.2.0-4-sh7785lcr-di xfs-modules-3.2.0-4-sh7785lcr-di fat-modules-3.2.0-4-sh7785lcr-di ufs-modules-3.2.0-4-sh7785lcr-di minix-modules-3.2.0-4-sh7785lcr-di md-modules-3.2.0-4-sh7785lcr-di multipath-modules-3.2.0-4-sh7785lcr-di parport-modules-3.2.0-4-sh7785lcr-di nic-usb-modules-3.2.0-4-sh7785lcr-di sata-modules-3.2.0-4-sh7785lcr-di
 crc-modules-3.2.0-4-sh7785lcr-di crypto-modules-3.2.0-4-sh7785lcr-di crypto-dm-modules-3.2.0-4-sh7785lcr-di nbd-modules-3.2.0-4-sh7785lcr-di squashfs-modules-3.2.0-4-sh7785lcr-di speakup-modules-3.2.0-4-sh7785lcr-di sound-modules-3.2.0-4-sh7785lcr-di zlib-modules-3.2.0-4-sh7785lcr-di udf-modules-3.2.0-4-sh7785lcr-di fuse-modules-3.2.0-4-sh7785lcr-di linux-image-3.2.0-4-sh7751r linux-headers-3.2.0-4-sh7751r linux-image-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-all-sparc kernel-image-3.2.0-4-sparc64-di nic-modules-3.2.0-4-sparc64-di ppp-modules-3.2.0-4-sparc64-di pata-modules-3.2.0-4-sparc64-di cdrom-core-modules-3.2.0-4-sparc64-di scsi-core-modules-3.2.0-4-sparc64-di scsi-modules-3.2.0-4-sparc64-di scsi-common-modules-3.2.0-4-sparc64-di plip-modules-3.2.0-4-sparc64-di btrfs-modules-3.2.0-4-sparc64-di ext2-modules-3.2.0-4-sparc64-di ext3-modules-3.2.0-4-sparc64-di ext4-modules-3.2.0-4-sparc64-di isofs-modules-3.2.0-4-sparc64-di
 jfs-modules-3.2.0-4-sparc64-di reiserfs-modules-3.2.0-4-sparc64-di xfs-modules-3.2.0-4-sparc64-di fat-modules-3.2.0-4-sparc64-di md-modules-3.2.0-4-sparc64-di multipath-modules-3.2.0-4-sparc64-di usb-modules-3.2.0-4-sparc64-di usb-storage-modules-3.2.0-4-sparc64-di input-modules-3.2.0-4-sparc64-di sata-modules-3.2.0-4-sparc64-di core-modules-3.2.0-4-sparc64-di crypto-modules-3.2.0-4-sparc64-di crypto-dm-modules-3.2.0-4-sparc64-di ata-modules-3.2.0-4-sparc64-di nbd-modules-3.2.0-4-sparc64-di squashfs-modules-3.2.0-4-sparc64-di virtio-modules-3.2.0-4-sparc64-di zlib-modules-3.2.0-4-sparc64-di udf-modules-3.2.0-4-sparc64-di fuse-modules-3.2.0-4-sparc64-di linux-image-3.2.0-4-sparc64 linux-headers-3.2.0-4-sparc64 linux-image-3.2.0-4-sparc64-smp linux-headers-3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-all-sparc64
Architecture: source all
Version: 3.2.46-1+deb7u1
Distribution: wheezy-security
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 acpi-modules-3.2.0-4-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-4-powerpc-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-4-powerpc64-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-4-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-mx5-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-4-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-versatile-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-vexpress-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-4-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-4-486-di - Core modules (udeb)
 core-modules-3.2.0-4-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-4-amd64-di - Core modules (udeb)
 core-modules-3.2.0-4-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-4-itanium-di - Core modules (udeb)
 core-modules-3.2.0-4-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-4-mx5-di - Core modules (udeb)
 core-modules-3.2.0-4-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-4-s390x-di - Core modules (udeb)
 core-modules-3.2.0-4-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-4-versatile-di - Core modules (udeb)
 core-modules-3.2.0-4-vexpress-di - Core modules (udeb)
 crc-modules-3.2.0-4-486-di - CRC modules (udeb)
 crc-modules-3.2.0-4-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-4-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-4-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-4-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-4-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-4-versatile-di - CRC modules (udeb)
 crc-modules-3.2.0-4-vexpress-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-4-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-versatile-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-vexpress-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-4-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-versatile-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-vexpress-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-4-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-4-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-4-486-di - EFI modules (udeb)
 efi-modules-3.2.0-4-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-4-amd64-di - EFI modules (udeb)
 event-modules-3.2.0-4-486-di - Event support (udeb)
 event-modules-3.2.0-4-686-pae-di - Event support (udeb)
 event-modules-3.2.0-4-amd64-di - Event support (udeb)
 event-modules-3.2.0-4-iop32x-di - Event support (udeb)
 event-modules-3.2.0-4-itanium-di - Event support (udeb)
 event-modules-3.2.0-4-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-4-orion5x-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc64-di - Event support (udeb)
 ext2-modules-3.2.0-4-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-versatile-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-vexpress-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-4-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-versatile-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-vexpress-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-4-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-versatile-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-vexpress-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-4-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-4-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-versatile-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-vexpress-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-4-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-4-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-4-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc64-di - Floppy driver (udeb)
 fuse-modules-3.2.0-4-486-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-4kc-malta-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-686-pae-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amd64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amiga-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-atari-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-iop32x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-itanium-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-kirkwood-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-loongson-2f-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mac-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mx5-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-orion5x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r4k-ip22-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-cobalt-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-ip32-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-s390x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sb1-bcm91250a-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7751r-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7785lcr-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sparc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-versatile-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-vexpress-di - FUSE modules (udeb)
 hfs-modules-3.2.0-4-powerpc-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-4-powerpc64-di - HFS filesystem support (udeb)
 hyperv-modules-3.2.0-4-486-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-686-pae-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-amd64-di - Hyper-V modules (udeb)
 hypervisor-modules-3.2.0-4-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 i2c-modules-3.2.0-4-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-4-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-4-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-4-486-di - Input devices support (udeb)
 input-modules-3.2.0-4-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-4-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-4-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-4-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-4-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-4-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-4-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-4-sparc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-vexpress-di - Input devices support (udeb)
 ipv6-modules-3.2.0-4-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-amiga-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-atari-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-iop32x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-kirkwood-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mac-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mx5-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-orion5x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sb1-bcm91250a-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7751r-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7785lcr-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-versatile-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-vexpress-di - IPv6 driver (udeb)
 irda-modules-3.2.0-4-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc64-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-4-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-versatile-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-vexpress-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-4-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-4-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-4-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sparc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-vexpress-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-4-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-vexpress-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-4-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-4-486 - Header files for Linux 3.2.0-4-486
 linux-headers-3.2.0-4-4kc-malta - Header files for Linux 3.2.0-4-4kc-malta
 linux-headers-3.2.0-4-5kc-malta - Header files for Linux 3.2.0-4-5kc-malta
 linux-headers-3.2.0-4-686-pae - Header files for Linux 3.2.0-4-686-pae
 linux-headers-3.2.0-4-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-alpha-generic - Header files for Linux 3.2.0-4-alpha-generic
 linux-headers-3.2.0-4-alpha-legacy - Header files for Linux 3.2.0-4-alpha-legacy
 linux-headers-3.2.0-4-alpha-smp - Header files for Linux 3.2.0-4-alpha-smp
 linux-headers-3.2.0-4-amd64 - Header files for Linux 3.2.0-4-amd64
 linux-headers-3.2.0-4-amiga - Header files for Linux 3.2.0-4-amiga
 linux-headers-3.2.0-4-atari - Header files for Linux 3.2.0-4-atari
 linux-headers-3.2.0-4-bvme6000 - Header files for Linux 3.2.0-4-bvme6000
 linux-headers-3.2.0-4-common - Common header files for Linux 3.2.0-4
 linux-headers-3.2.0-4-common-rt - Common header files for Linux 3.2.0-4-rt
 linux-headers-3.2.0-4-iop32x - Header files for Linux 3.2.0-4-iop32x
 linux-headers-3.2.0-4-itanium - Header files for Linux 3.2.0-4-itanium
 linux-headers-3.2.0-4-ixp4xx - Header files for Linux 3.2.0-4-ixp4xx
 linux-headers-3.2.0-4-kirkwood - Header files for Linux 3.2.0-4-kirkwood
 linux-headers-3.2.0-4-loongson-2f - Header files for Linux 3.2.0-4-loongson-2f
 linux-headers-3.2.0-4-mac - Header files for Linux 3.2.0-4-mac
 linux-headers-3.2.0-4-mckinley - Header files for Linux 3.2.0-4-mckinley
 linux-headers-3.2.0-4-mv78xx0 - Header files for Linux 3.2.0-4-mv78xx0
 linux-headers-3.2.0-4-mvme147 - Header files for Linux 3.2.0-4-mvme147
 linux-headers-3.2.0-4-mvme16x - Header files for Linux 3.2.0-4-mvme16x
 linux-headers-3.2.0-4-mx5 - Header files for Linux 3.2.0-4-mx5
 linux-headers-3.2.0-4-octeon - Header files for Linux 3.2.0-4-octeon
 linux-headers-3.2.0-4-omap - Header files for Linux 3.2.0-4-omap
 linux-headers-3.2.0-4-orion5x - Header files for Linux 3.2.0-4-orion5x
 linux-headers-3.2.0-4-parisc - Header files for Linux 3.2.0-4-parisc
 linux-headers-3.2.0-4-parisc-smp - Header files for Linux 3.2.0-4-parisc-smp
 linux-headers-3.2.0-4-parisc64 - Header files for Linux 3.2.0-4-parisc64
 linux-headers-3.2.0-4-parisc64-smp - Header files for Linux 3.2.0-4-parisc64-smp
 linux-headers-3.2.0-4-powerpc - Header files for Linux 3.2.0-4-powerpc
 linux-headers-3.2.0-4-powerpc-smp - Header files for Linux 3.2.0-4-powerpc-smp
 linux-headers-3.2.0-4-powerpc64 - Header files for Linux 3.2.0-4-powerpc64
 linux-headers-3.2.0-4-r4k-ip22 - Header files for Linux 3.2.0-4-r4k-ip22
 linux-headers-3.2.0-4-r5k-cobalt - Header files for Linux 3.2.0-4-r5k-cobalt
 linux-headers-3.2.0-4-r5k-ip32 - Header files for Linux 3.2.0-4-r5k-ip32
 linux-headers-3.2.0-4-rt-686-pae - Header files for Linux 3.2.0-4-rt-686-pae
 linux-headers-3.2.0-4-rt-amd64 - Header files for Linux 3.2.0-4-rt-amd64
 linux-headers-3.2.0-4-s390x - Header files for Linux 3.2.0-4-s390x
 linux-headers-3.2.0-4-sb1-bcm91250a - Header files for Linux 3.2.0-4-sb1-bcm91250a
 linux-headers-3.2.0-4-sb1a-bcm91480b - Header files for Linux 3.2.0-4-sb1a-bcm91480b
 linux-headers-3.2.0-4-sh7751r - Header files for Linux 3.2.0-4-sh7751r
 linux-headers-3.2.0-4-sh7785lcr - Header files for Linux 3.2.0-4-sh7785lcr
 linux-headers-3.2.0-4-sparc64 - Header files for Linux 3.2.0-4-sparc64
 linux-headers-3.2.0-4-sparc64-smp - Header files for Linux 3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-versatile - Header files for Linux 3.2.0-4-versatile
 linux-headers-3.2.0-4-vexpress - Header files for Linux 3.2.0-4-vexpress
 linux-image-3.2.0-4-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-4-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-4-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-4-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-4-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-686-pae
 linux-image-3.2.0-4-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-4-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-4-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-4-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-4-amd64-dbg - Debugging symbols for Linux 3.2.0-4-amd64
 linux-image-3.2.0-4-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-4-atari - Linux 3.2 for Atari
 linux-image-3.2.0-4-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-4-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-4-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-4-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-4-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-4-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-4-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-4-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-4-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-4-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-4-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-4-mx5 - Linux 3.2 for Freescale i.MX51/53
 linux-image-3.2.0-4-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-4-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-4-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-4-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-4-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-4-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-4-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-4-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-4-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-4-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-4-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-4-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-4-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-4-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-4-rt-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-rt-686-pae
 linux-image-3.2.0-4-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-4-rt-amd64-dbg - Debugging symbols for Linux 3.2.0-4-rt-amd64
 linux-image-3.2.0-4-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-4-s390x-dbg - Debugging symbols for Linux 3.2.0-4-s390x
 linux-image-3.2.0-4-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-4-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-4-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-4-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-4-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-4-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-4-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-4 - Support files for Linux 3.2
 loop-modules-3.2.0-4-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-versatile-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-vexpress-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-4-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-versatile-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-vexpress-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-4-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-4-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-4-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-mx5-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-vexpress-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-4-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc64-di - Mouse support (udeb)
 mtd-modules-3.2.0-4-mx5-di - MTD modules (udeb)
 multipath-modules-3.2.0-4-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-versatile-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-vexpress-di - Multipath support (udeb)
 nbd-modules-3.2.0-4-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-versatile-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-vexpress-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-4-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-4-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc64-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-4-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-4-versatile-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-vexpress-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-versatile-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-vexpress-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-versatile-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-vexpress-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-amd64-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-mx5-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-vexpress-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-4-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-4-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-4-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-mx5-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-4-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc64-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-4-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-4-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-4-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-4-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-4-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-4-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-mx5-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-4-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-4-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-versatile-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-vexpress-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-4-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-4-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-4-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc64-di - Serial drivers (udeb)
 sn-modules-3.2.0-4-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-4-486-di - sound support (udeb)
 sound-modules-3.2.0-4-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-4-amd64-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-4-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-4-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-versatile-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-vexpress-di - squashfs modules (udeb)
 udf-modules-3.2.0-4-486-di - UDF modules (udeb)
 udf-modules-3.2.0-4-4kc-malta-di - UDF modules (udeb)
 udf-modules-3.2.0-4-686-pae-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amd64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amiga-di - UDF modules (udeb)
 udf-modules-3.2.0-4-atari-di - UDF modules (udeb)
 udf-modules-3.2.0-4-iop32x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-itanium-di - UDF modules (udeb)
 udf-modules-3.2.0-4-kirkwood-di - UDF modules (udeb)
 udf-modules-3.2.0-4-loongson-2f-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mac-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mx5-di - UDF modules (udeb)
 udf-modules-3.2.0-4-orion5x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r4k-ip22-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r5k-ip32-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sb1-bcm91250a-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7751r-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7785lcr-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sparc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-versatile-di - UDF modules (udeb)
 udf-modules-3.2.0-4-vexpress-di - UDF modules (udeb)
 ufs-modules-3.2.0-4-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-4-486-di - uinput support (udeb)
 uinput-modules-3.2.0-4-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-4-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-4-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-4-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-vexpress-di - uinput support (udeb)
 usb-modules-3.2.0-4-486-di - USB support (udeb)
 usb-modules-3.2.0-4-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-4-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-4-amd64-di - USB support (udeb)
 usb-modules-3.2.0-4-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-4-itanium-di - USB support (udeb)
 usb-modules-3.2.0-4-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-4-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-4-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-4-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-4-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-4-versatile-di - USB support (udeb)
 usb-modules-3.2.0-4-vexpress-di - USB support (udeb)
 usb-serial-modules-3.2.0-4-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-4-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-versatile-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-vexpress-di - USB storage support (udeb)
 virtio-modules-3.2.0-4-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sparc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-4-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-4-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-4-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-4-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-versatile-di - zlib modules (udeb)
Closes: 701744
Changes: 
 linux (3.2.46-1+deb7u1) wheezy-security; urgency=low
 .
   [ Ian Campbell ]
   * Fix regression in "xen: netback: shutdown the ring if it contains garbage
     (CVE-2013-0216)" (Closes: #701744)
 .
   [ dann frazier ]
   * libceph: Fix NULL pointer dereference in auth client code (CVE-2013-1059)
   * fanotify: info leak in copy_event_to_user() (CVE-2013-2148)
   * drivers/cdrom/cdrom.c: use kzalloc() for failing hardware (CVE-2013-2164)
   * ipv6: ip6_sk_dst_check() must not assume ipv6 dst (CVE-2013-2232)
   * af_key: fix info leaks in notify messages (CVE-2013-2234)
   * af_key: initialize satype in key_notify_policy_flush() (CVE-2013-2237)
   * block: do not pass disk names as format strings (CVE-2013-2851)
   * b43: stop format string leaking into error msgs (CVE-2013-2852)
   * ipv6: call udp_push_pending_frames when uncorking a socket (CVE-2013-4162)
   * ipv6: ip6_append_data_mtu did not care about pmtudisc and frag_size
     (CVE-2013-4163)
Checksums-Sha1: 
 8be0289cb4141a58c3c92e5a12cfbc34f54c1d5f 103085 linux_3.2.46-1+deb7u1.dsc
 abbf6e229470de2848b643c846491ce4b8ec001d 65871748 linux_3.2.46.orig.tar.xz
 267d999f3e1a8833cf7b9ec8306f5a1f973970f6 3217324 linux_3.2.46-1+deb7u1.debian.tar.xz
 7cd153a6d41b0c52a27a46dadd2ab3e3606e161b 6386980 linux-doc-3.2_3.2.46-1+deb7u1_all.deb
 d25d6c9eb6e4cf4e6ebb29e53de9d5c83e5e0d0a 2943254 linux-manual-3.2_3.2.46-1+deb7u1_all.deb
 934fcf4706d6d8a0e5a1964f4be90622a4b0df68 77230974 linux-source-3.2_3.2.46-1+deb7u1_all.deb
 5f8ecbfa5e0cdd72bcde23a531669e022ebd4e7b 217082 linux-support-3.2.0-4_3.2.46-1+deb7u1_all.deb
Checksums-Sha256: 
 dad82a4d62ef0ca7870aa40e80156742cfbb5303c68f8e08ca9122d0dab16007 103085 linux_3.2.46-1+deb7u1.dsc
 dafe7ca509e21f70155666aaeaac2f7b72fbe4064b213319f77eeead989559b9 65871748 linux_3.2.46.orig.tar.xz
 62dcb69e275ee4bda982e227d9470357aec3a6ec452c21a81f4df9a5df089978 3217324 linux_3.2.46-1+deb7u1.debian.tar.xz
 b7da285e48b827794b8773bd9dc72b6f9a95430fb5491616775cf1571fb9ae43 6386980 linux-doc-3.2_3.2.46-1+deb7u1_all.deb
 0a49a679d97f5b581ed1ceb7d87ff0fcb7010e51b155b4024d020bfd8104a1eb 2943254 linux-manual-3.2_3.2.46-1+deb7u1_all.deb
 38d7d91ecac882972ca8d0d3082ce1f89b93af7fa41bb362b7c8d0d40fa49b67 77230974 linux-source-3.2_3.2.46-1+deb7u1_all.deb
 f3254f76dec9a0135e85ccb73f6f6f6078e585af4f7a6a5cc8b8c5e815a2d7d1 217082 linux-support-3.2.0-4_3.2.46-1+deb7u1_all.deb
Files: 
 8ef9f606d0947fbf82f33060d9bb006e 103085 kernel optional linux_3.2.46-1+deb7u1.dsc
 364366205af080bf98c84de8e70d7e06 65871748 kernel optional linux_3.2.46.orig.tar.xz
 ad05432ad1be64d2e9e36d0b9aea20c9 3217324 kernel optional linux_3.2.46-1+deb7u1.debian.tar.xz
 25e96e4fa18d191d3601edbc1adab554 6386980 doc optional linux-doc-3.2_3.2.46-1+deb7u1_all.deb
 88d2795bfa56b1d85f3d1c7b43a2d159 2943254 doc optional linux-manual-3.2_3.2.46-1+deb7u1_all.deb
 5507300a06355f81f7fd30f3bbaf05ec 77230974 kernel optional linux-source-3.2_3.2.46-1+deb7u1_all.deb
 47060aeacdb47b3a4c78bf6bc9e4c141 217082 devel optional linux-support-3.2.0-4_3.2.46-1+deb7u1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSCmkJAAoJEBv4PF5U/IZA6SsP/2fdPfQ/FrAz5RcrBr6etrFK
P+JjDtjXBDIwx0BH47AbCVEUL87M01BrUvX0tgnAu6u6dGqXeu2x5p9qnXYOyS45
oJjJ7Dyn7daLF5RV1dKHJvVHgpesONJ6b6NFlOOty5TwiQpSZ0yQrAdIt4OQOZfL
SnBu3Q02ZqElhVIlTTEAjLzZJ2K/FrsKm3UpohSeR/HUOll253bXEM9mF4BfPfWv
ukjggmh35ADCsicoyzLI4q979rugMJLscY41AYtkYM+I7mxt59yb8JzwByMUX6mz
0vKYqd90YzG1OiY6T2RjQ12bQAQoQ11xmQdcmpy1e2rGyJjm/gulSjjLztcFVwqq
iz4R36seV4zZ0FBkJz8nOkVqgqMkjdYyizQp6PkrXvHuLMBClGMmYc+MTOV1zM0h
1abpJANpUIlLR0xZbHNdUwzji5SKtjDF6AUjVA2dGOnKvKCjZ5mOCDLQlyWCJ/Yj
80p4W0PpmUQxOMuyEpoOBpKGO/ajrRDZ9gm+93FdfJZQXVSV/SpJBQQosIB6E0+j
LvxnG/ZNPaqfNBJRZO0bxICWMB6xgqNenHtQgVTkxO2l+LMSlxpRRGh/YKkyfxYF
1Sslzn7RXP+wNU+7HgJSuF3CINFnyRe51aAlRjsAJgRz7H8253KaOaco6sdPIFR9
e1u1QRS9/PUVj0B2wsVL
=Ddxy
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Tue, 03 Sep 2013 09:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Sep 2013 09:09:09 GMT) Full text and rfc822 format available.

Message #169 received at 701744@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: dann frazier <dannf@debian.org>
Cc: 701744@bugs.debian.org
Subject: Re: Bug#701744: fixed in linux 3.2.46-1+deb7u1
Date: Tue, 03 Sep 2013 11:04:25 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi there,

Am 01.09.13 23:47, schrieb dann frazier:
> Source: linux Source-Version: 3.2.46-1+deb7u1
> 
> We believe that the bug you reported is fixed in the latest version
> of linux, which is due to be installed in the Debian FTP archive.

as we are facing this also massively on squeeze, is there a chance to
get that also fixed there, even when this is oldstable?

Many thanks, Jan.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (Darwin)
Comment: GPGTools - http://gpgtools.org

iEYEARECAAYFAlIlphkACgkQ9u6Dud+QFyRusACgr9384r/uUYYNpskt5pUFjU+t
DUEAn3MsqE9scTQIzEwS/imm7zHFlX6J
=BFQG
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Tue, 03 Sep 2013 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Sep 2013 15:00:04 GMT) Full text and rfc822 format available.

Message #174 received at 701744@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Jan Wagner <waja@debian.org>
Cc: 701744@bugs.debian.org
Subject: Re: Bug#701744: fixed in linux 3.2.46-1+deb7u1
Date: Tue, 3 Sep 2013 08:57:00 -0600
On Tue, Sep 03, 2013 at 11:04:25AM +0200, Jan Wagner wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi there,
> 
> Am 01.09.13 23:47, schrieb dann frazier:
> > Source: linux Source-Version: 3.2.46-1+deb7u1
> > 
> > We believe that the bug you reported is fixed in the latest version
> > of linux, which is due to be installed in the Debian FTP archive.
> 
> as we are facing this also massively on squeeze, is there a chance to
> get that also fixed there, even when this is oldstable?
> 

Yes, this is currently queued.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#701744; Package src:linux. (Tue, 03 Sep 2013 15:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Sep 2013 15:12:09 GMT) Full text and rfc822 format available.

Message #179 received at 701744@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@debian.org>
To: dann frazier <dannf@dannf.org>
Cc: 701744@bugs.debian.org
Subject: Re: Bug#701744: fixed in linux 3.2.46-1+deb7u1
Date: Tue, 03 Sep 2013 17:08:05 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 03.09.2013 16:57, schrieb dann frazier:
> On Tue, Sep 03, 2013 at 11:04:25AM +0200, Jan Wagner wrote:
>> as we are facing this also massively on squeeze, is there a
>> chance to get that also fixed there, even when this is
>> oldstable?
>> 
> 
> Yes, this is currently queued.

Many thanks for caring, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSJftU9u6Dud+QFyQRAtsbAJ9sBIk2LpqWVALeEqijL1KmklRbZQCcDvLa
+J+XCfO2Mc73+rhUXxkV6f0=
=qJZf
-----END PGP SIGNATURE-----



Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 28 Sep 2013 07:21:14 GMT) Full text and rfc822 format available.

Notification sent to Ingo Juergensmann <ij@2013.bluespice.org>:
Bug acknowledged by developer. (Sat, 28 Sep 2013 07:21:14 GMT) Full text and rfc822 format available.

Message #184 received at 701744-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 701744-close@bugs.debian.org
Subject: Bug#701744: fixed in linux-2.6 2.6.32-48squeeze4
Date: Sat, 28 Sep 2013 07:17:37 +0000
Source: linux-2.6
Source-Version: 2.6.32-48squeeze4

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Sep 2013 12:36:26 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all
Version: 2.6.32-48squeeze4
Distribution: squeeze-security
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 701744
Changes: 
 linux-2.6 (2.6.32-48squeeze4) squeeze-security; urgency=high
 .
   [ Ian Campbell ]
   * Fix regression in "xen: netback: shutdown the ring if it contains garbage
     (CVE-2013-0216)" (Closes: #701744)
 .
   [ Moritz Muehlenhoff ]
   * drivers/cdrom/cdrom.c: use kzalloc() for failing hardware (CVE-2013-2164)
   * ipv6: ip6_sk_dst_check() must not assume ipv6 dst (CVE-2013-2232)
   * af_key: fix info leaks in notify messages (CVE-2013-2234)
   * af_key: initialize satype in key_notify_policy_flush() (CVE-2013-2237)
   * block: do not pass disk names as format strings (CVE-2013-2851)
   * b43: stop format string leaking into error msgs (CVE-2013-2852)
   * sctp: Use correct sideffect command in duplicate cookie handling
     (CVE-2013-2206)
   * kernel/signal.c: stop info leak via the tkill and the tgkill syscalls
     (CVE-2013-2141)
   * HID: validate HID report id size (CVE-2013-2888)
   * HID: check for NULL field when setting values
   * Information leak in openvz quota implementation (CVE-2013-2239)
 .
   [ dann frazier ]
   * HID: pantherlord: validate output report details (CVE-2013-2892)
Checksums-Sha1: 
 a52f263c2da73d1d62af883c93c121048dbf66cc 7007 linux-2.6_2.6.32-48squeeze4.dsc
 9ec7bac0de565e6c957bc9e707ce9c03d617ae70 16724238 linux-2.6_2.6.32-48squeeze4.diff.gz
 b5d7859e7e0487abc811f8903bb1c16182ebf807 6081012 linux-doc-2.6.32_2.6.32-48squeeze4_all.deb
 67b926f90a7638dab9cf80d1367fe64863ac13fe 2748500 linux-manual-2.6.32_2.6.32-48squeeze4_all.deb
 f506445cdf58e81953c5ce5c35909efe50608a68 10433144 linux-patch-debian-2.6.32_2.6.32-48squeeze4_all.deb
 46a60df5ee1608e4cb276e1426b4a937d5186b3a 65398988 linux-source-2.6.32_2.6.32-48squeeze4_all.deb
 829f83e2a812b784c780fa5f7e8c3060f92aca4b 173892 linux-support-2.6.32-5_2.6.32-48squeeze4_all.deb
 04a02567a9ae932d77d5d8856d44708e26fd51a7 162044 firmware-linux-free_2.6.32-48squeeze4_all.deb
 11668387b09bedb81aacb4f0c78cd83285f7fc9b 184186 linux-base_2.6.32-48squeeze4_all.deb
Checksums-Sha256: 
 9ca9ed5de13fcf3418701dab412bd37992b131b178be2a9a7c76236cfb28014f 7007 linux-2.6_2.6.32-48squeeze4.dsc
 6ae077c111a39f42b04d1c02e0e263b854a15069c2f566c10d1239001bade476 16724238 linux-2.6_2.6.32-48squeeze4.diff.gz
 fc8da74c07b9ba13ea3c5cdf584c5de69d287a35b42f01d288da602a347c6099 6081012 linux-doc-2.6.32_2.6.32-48squeeze4_all.deb
 990fcf3ed9878236adab32419919647c27bca870d5a1688698890670527de60e 2748500 linux-manual-2.6.32_2.6.32-48squeeze4_all.deb
 b3c72d12ed256e716ba2cd83fc95e79eb6dc0262ee0193cf3ec6648ba9d0cb89 10433144 linux-patch-debian-2.6.32_2.6.32-48squeeze4_all.deb
 7bfd489a137af13cde145b067d3ff0eb9ab60351d58b65a05b5598b3a62b2809 65398988 linux-source-2.6.32_2.6.32-48squeeze4_all.deb
 d557ad322e08692aa1edee6e2f9804b823ae9b03b427df5967b59760af0b5185 173892 linux-support-2.6.32-5_2.6.32-48squeeze4_all.deb
 6f8f49796e8428c02ec9c32cdccacf7b6c62fe59fc0e2bb9843df71480646a80 162044 firmware-linux-free_2.6.32-48squeeze4_all.deb
 e7dcc544219d19d97f0c2f75680efce2b4714007996e83d1f4982a4590c8b671 184186 linux-base_2.6.32-48squeeze4_all.deb
Files: 
 994f7491b520c04230bd885e0e8d7c90 7007 kernel optional linux-2.6_2.6.32-48squeeze4.dsc
 0dcfb572a5d7cd42c50af30f0a41fb92 16724238 kernel optional linux-2.6_2.6.32-48squeeze4.diff.gz
 d0ee1d54306087b5bbfdd5e714da5f82 6081012 doc optional linux-doc-2.6.32_2.6.32-48squeeze4_all.deb
 dba7549edd40a83d94b07a41b544c241 2748500 doc optional linux-manual-2.6.32_2.6.32-48squeeze4_all.deb
 d69de1760d78fa7fa44e2ca3d39246b6 10433144 kernel optional linux-patch-debian-2.6.32_2.6.32-48squeeze4_all.deb
 2ce8d0b3939c2d033386d18a20cb1b70 65398988 kernel optional linux-source-2.6.32_2.6.32-48squeeze4_all.deb
 e2c08238220e8d026b79fc9e0878c017 173892 devel optional linux-support-2.6.32-5_2.6.32-48squeeze4_all.deb
 aef3ed7c6656a5170b167b61a5a61aea 162044 kernel optional firmware-linux-free_2.6.32-48squeeze4_all.deb
 5a3fd1791762a0c02b8054564b700879 184186 kernel optional linux-base_2.6.32-48squeeze4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSQJ7KAAoJEBv4PF5U/IZA5ZkP/RTuZolDvjH11PSUxev77wxZ
VoYY2jBSdCsaW1r9NYLDM5TeTAWc6ukevWk7ljjO1+rpXLjBhXIE3fvX/QT6ya/X
VbaO4icU57PX1QO0wHlwbeA6ziC+NISzGwmcNDT1FRnuI2V/glljnpal0U4/la8w
dHSYHdoRs+M1sqGkqJJ29XrOVyW6oysiO9s1d2fcvztq1O95wxNCkztowGurT0pJ
D7aNBFDBv042voWyxfAdXfT++sgtE3B3lORRkRa2XslwOhHacTobJHqmiiMM9o2I
BEx42dPXwp7hsiS+/KkOdSmP8prjIrG3O1frez1vYdZ8WC6V5PbBSlUvvT8ftN9Q
jbRAZuCS8xtoCbt8vZ6q+anmIccy+6NsoubPycCiS68rn5vmEfWgL8H8S96nuOxo
8ZNJdqdvZoQb0zJkZmQXbVfK7zShj64rCFC05Z7Q/EZeOfMMXy10lUwFTM4HlIG9
2cwWSLYD1mBUIFNZIAlSfgMY4uNd/eVNJIsWAXD+ergnuIvpKckxl660zBnvxn7P
djoQ3s2XiuPJRYa9RLesyDypwyCgNaPmbkXbxLx1/B3HhG43B7DKsAgSC9t0kFzO
EFSPBADooRdofPIv657BfYcuhoG/sFa3GdkI2foLLlBJvwJ2NKE130Zaw0n/P4lz
KTSrAG4N163n/Ehs8Fgr
=Ioq8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Nov 2013 07:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:30:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.